Welcome to the IDM Desktop Administrator's Help

Welcome to the IBM FileNet IDM Desktop Administrator's Help

This Help system includes information on the tasks performed by a system administrator:

  • Installing and upgrading the software

  • Adding libraries

  • Setting preferences

  • Administration and maintenance

  • Troubleshooting

You can find information on how to use IDM Desktop in the IDM Desktop User’s Help.

I'm new to IDM Desktop. Where do I start?
I'm upgrading to the 4.0.3 release of IDM Desktop. Where do I start?
What is the quickest way to install and configure IDM Desktop on multiple computers?
How do I install IDM Desktop without user intervention?
What programs and files does IDM Desktop install and what other changes does it make to my computer?
What customizations are available for IDM Desktop?
How do I handle logons?
What does the IDM Desktop documentation consist of?


What is IDM Desktop?

IDM Desktop allows users to add, retrieve, and work with documents and images on IBM FileNet Image Services (IS) and Content Services (CS) libraries connected to your network.

IDM Desktop provides the following functionality and features:

  • Explorer Integration, which is optional. If installed, the user sees:

  • The Add to IBM FileNet command on the shortcut menu for local files.

  • The IBM FileNet Neighborhood icon on the desktop and the IBM FileNet Neighborhood in My Computer and Explorer. The IBM FileNet Neighborhood displays an icon for each configured IBM FileNet library and provides Explorer-style access to the library’s contents.

  • The Entire IBM FileNet Network in My Computer and Explorer. The Entire IBM FileNet Network provides access to IS libraries configured as remote libraries on the default IS library.

  • IDM Find is an optional document retrieval application. If you install Find integration, you can start IDM Find from the Windows Start menu. You use IDM Find to compose and execute queries. You can store searches and save search results for later use.

  • The IDM Viewer is always installed. It displays a wide variety of file formats. In the IDM viewer, you can zoom in and out, scale, rotate, reverse colors (not available for all file formats), and much more. You can also designate an alternate program to open certain kinds of files. For example, you can set a preference to open .bmp files in Paint.

  • Application integration, if installed, adds IBM FileNet commands to the Microsoft Office menus and also adds the IDM View option to the shortcut menus of files native to these applications.

  • Remote IS Print/Fax services (when IS library support is installed).

  • Setup and administration utilities.

  • IDM Configure allows you to add libraries and set preferences.

  • For debugging, use the Trace Configuration, Log Spy, and Log Viewer applications. You use Trace Configuration to set up, start, and stop tracing. You use Log Spy to view trace results in real time and Log Viewer to view recorded trace results.

  • If you install support for IS libraries, IS Print/Fax Monitor allows you to view and cancel print jobs submitted to an IBM FileNet print service, and Queue Maintenance allows you to create and manage workspaces and queues. You start IS Print/Fax Monitor from the Windows Start menu. You start Queue Maintenance by running FnQMaint.exe from IDM Desktop installation folder (by default, C:\Program Files\IBM\IDM).

  • With IDM Desktop, users can access libraries though IBM FileNet IDM Web Services. Do not download and install a Web client on a workstation that is running IDM Desktop; this is neither necessary nor supported. Likewise, do not install a Web client fix pack on a workstation that is running IDM Desktop.


What's new in the 4.0.3 release?

This section explains on new features and enhancements and deprecations in IDM Desktop 4.0.3:

New features and enhancements

The following features are new for the administrator and administrator as a user:

  • Installation:
    • 64 bit support: IDM Desktop 4.0.3 can be installed on Windows operating systems on 64 bit environment (32 bit emulation mode).

    • Fresh installation, GUI installation: IDM Desktop 4.0.3 can be installed on a fresh machine. The GUI installation provides the users easy steps to install and configure the product.

    • Silent uninstallation: IDM Desktop 4.0.3 allows the administrator to uninstall the product silently without user intervention.

    • Localized installer: While installing using GUI, the installer has options of 8 languages including English for IDM Desktop. Depending on the user's operating system, product language will be configured.

    • Single source, single executable with language support: Single executable installer can run for all the localized versions for IDM Desktop.
  • Upgrade:
    • Upgrading from previous versions to 4.0.3: IDM Desktop 3.3. 4.0. 4.0.1, 4.0.2 versions and fix pack levels can be directly upgraded to 4.0.3 version. Example, 4.0.1 version can be upgraded directly to 4.0.3 version without upgrading to 4.0.2 version.
  • Help system compatibility:
    • Compiled HTML (.chm) Help files are provided with IDM Desktop. The .chm help files can be viewed on all IDM supported Windows operating systems.
  • Use of system time enabling different time zones supported in IDM Viewer:
    • In IDM Viewer, users can change Time Zone setting or IDM Viewer can pick it automatically from user's machine settings. This is applicable for Outlook documents only.
  • Common Logging support:
    • The logging infrastructure used by the product stores logged information in a proprietary (product-specific) format. Log R1 Adapter provides a data conversion utility (adapter) that can reformat the logged data into the CBE format upon request.
  • Application Integration with MS Office and Outlook 2007 and 2010:
    • IDM Office Integration is available for Office 2007 and 2010 (Word, Excel and Power Point).
    • IDM Outlook Integration is available for Outlook 2007 and Outlook 2010.
  • Viewing support:
    • Support for TIFF LZW and TIFF JPEG compression: TIFF LZW and TIFF JPEG file formats are supported in IDM Desktop 4.0.3. With this support, annotations can be applied and these images can be part of multi-page TIFF image format.
    • PDF/A and JPEG 2000 supported by IDM: PDF/A & JPEG 2000 file formats are supported for viewing in IDM Desktop 4.0.3.
  • Ability to search "closed" documents in IDM Find:
    • User can search the closed documents as a default option for any of queries performed in the search criteria. This feature is applicable for search performed against Image Services.
  • Enabling mouse to provide context menu for spin control in IDM Find:
    • Mouse is enabled with context menu for spin control that helps users to use mouse in IDM Find (IS library only) rather than just the keyboard, so that user can use mouse to copy and paste the document ID value [F_DOCNUMBER] in key conditions.

Deprecations in 4.0.3 release

Lotus Notes integration has been deprecated from 4.0.3 onwards. User cannot integrate Lotus Notes with IDM Desktop 4.0.3.

Supported software/tool in 4.0.3 release

See the IDM 4.0.3 readme for supported software/tools.


What's new in the 4.0.1 release?

New features and changes in 4.0.1 include:

  • CS user rights are validated based on the value of the "Add Folder" property for the user when attempting to create a folder in the CS library. CS user rights are validated only after installing CS 5.4 HFP 2 (both at the server and client side). An error message is displayed in case a user does not have appropriate rights. An Admin user can create a folder in CS library even if there are no rights assigned to this user for adding a folder.

  • IDM Find application displays the document id in positive value even if the document id exceeds the 2,147,483,647 value.


What's new in the 4.0.2 release?

New features and changes in 4.0.2 include:

  • IDM Desktop is integrated with MS Office 2007. If you have IDM 4.0.2 integrated with MS Office 2003 and want to upgrade to MS Office 2007, then after upgrading MS Office 2007 you need to re-install IDM 4.0.2 for correct functionality.


 Installation requirements

The installation requirements for IDM 4.0.3 the details are available in the readme bundled with the IDM package.

About IDM Desktop Application Integration

Application integration is optional. If installed, it adds IBM FileNet commands menu items to one or more of these third party applications:

  • Word, Excel, PowerPoint, and Outlook in Microsoft Office

See the requirements details in the readme, and see the Quick Start Guide, Configuration Notes for collocation limitations.

To integrate an application, the entire application must be installed on the user’s hard drive. It cannot run from a CD or a network drive and it cannot be installed using the "Install on first use" option.

Application integration is not supported for files saved in Microsoft Briefcase folders.

IP address resolution

If your site is utilizing DNS for IP address resolution, make sure that each IDM Desktop client is configured to allow resolution of the appropriate IS server name.

File systems

You can install on either FAT or NTFS file systems.


Installation Overview of IDM Desktop 4.0.3

Before installation, read the readme file located on the IBM FileNet IDM Desktop software package and verify that the PCs on which you are installing IDM Desktop meet the minimum requirements.

Installing IDM Desktop involves running the Setup program, which installs core program files and allows you to exclude optional components such as Application Integration and Explorer Integration. Once you’ve installed IDM Desktop, you use IDM Configure to set up access to libraries and select other user preferences.

Procedures vary depending on whether this is a new installation, an upgrade, or a silent installation using Microsoft’s System Management Server (SMS).

Installing IDM Desktop 4.0.3 involves running the setup program from the installer from CD or ftp. The 4.0.3 version is a full installer and can be installed newly on a machine or any older IDM Desktop versions can be upgraded to 4.0.3 version.

Fresh Install: If you are installing 4.0.3 newly, use IDM Configure to set up access to libraries and select other user preferences.

Upgrade: In case of upgrade, after the installation there is no need to add libraries using IDM Configure as the libraries and other settings will be the same as of older versions.

Install IDM Desktop 4.0.3

Upgrade to IDM Desktop 4.0.3


What the Setup program installs

What Setup installs

The IDM Desktop Setup program installs core components required for program functionality. You can also choose to install some optional components.

IDM Desktop components always installed

Applications

You access these applications from the Windows Start menu, under Programs, IBM FileNet IDM:

  • Configure

  • Viewer

  • Trace

  • Log Spy

  • Log Viewer

  • Help for Administrators (this help system)

  • Help for Users

  • Help for Developers

Setup Files

Setup creates two information files:

  • A Setup log file that lists the Setup activity. See Setup log file for information.

  • A list of registered components. See File registration failure for a description.

Access to libraries

You can install and configure support for access to Image Services (IS) libraries and/or Content Services (CS) libraries.

CS libraries

  • Setup installs the SQL client libraries for access to supported CS libraries with SQL databases.

  • Setup does not install Oracle client software. You must install and configure the Oracle client software.

  • For every CS server (a server can host several libraries), you must configure an ODBC Data Source using the Windows ODBC Data Source Administrator utility.

Important

If you are using a version of Oracle earlier than 8.15, you must uninstall it before installing IDM Desktop, since IDM Desktop does not detect or upgrade Oracle client library versions. You cannot run two different versions of the Oracle client libraries on a computer.

IS libraries

If IS library support is installed, the IS Print/Fax Monitor and Queue Maintenance applications are also installed.

Optional components

Explorer integration

  • Puts the IBM FileNet Neighborhood icon on the desktop.

  • Puts an Add to IBM FileNet command on the shortcut menu for local files.

  • Makes the IBM FileNet Neighborhood and the IBM FileNet Entire Network available in any My Computer or Explorer view (IBM FileNet Neighborhood is just a special case).

Find integration

Installs IDM Find and puts "IBM FileNet documents" on the Windows Start, Find menu.

Application integration

For each supported third-party application installed on the workstation and selected at installation time, Setup adds IBM FileNet commands to the File menus.

IS Print/Fax Monitor

The IS Print/Fax Monitor is automatically installed only if IS library support is installed.

Queue Maintenance

The Queue Maintenance application is automatically installed only if IS library support is installed.

Developer files

IDM Toolkit Help and sample code.

Information files distributed with IDM Desktop

The IDM Desktop CD or ftp installer contains the following information files:

General readme

Located in the root directory of the IDM Desktop installer from CD or ftp, and also installed in the IDM Desktop installation path (default is C:\Program Files\IBM\IDM). This file contains information about IDM Desktop’s compatibility with other IBM FileNet products and includes information on known software problems.

File listing (FileList.txt)

Located in the root directory on your installer from CD or ftp, this file contains a complete list of all files on the CD or installer, including date-time stamps.


What's installed?

For information on the IDM Desktop software installed on a workstation, see Setup’s log file, idmdesktop.log, or display the Help>About dialog for an IBM FileNet application.

Setup’s log file, idmdesktop.log

For each installation, upgrade, and application of a fix pack, the Setup program records installation information in a log file, idmdesktop.log. Setup places the log file in the Windows or WINNT\System directory.

The Setup log file can be used to verify and troubleshoot an IDM Desktop installation. If you need to contact your service representative, he will need this log file for reference.

The log file contains the following information:

  • The date of installation, plus the time the installation started and finished.

  • Information about the computer on which IDM Desktop was installed, such as operating system and version, video card and monitor resolution, memory, system directory path, and disk drives installed.

  • A list of all installation dialogs, such as destination directory dialog and the component selection dialog.

  • Setup program activity.

  • A list of the components that Setup successfully installed.

  • A list of all changes Setup made to the registry.

  • Any errors or warnings.

Help>About dialog

For each IBM FileNet application, the Help>About dialog shows the release number, the fix pack number if one is installed, and the build number of the release or fix pack.

See also
File registration failure


Reinstall IDM Desktop

Reinstalling the IDM Desktop software installs previously installed components and restores missing or corrupted program files. A reinstallation does not restore missing or corrupted preferences. If your preferences become corrupted, you will need to re-select them or import a 4.0.3 preference file.

To reinstall IDM Desktop

  1. Reboot the PC to clear memory.

  2. Close all active programs, including virus protection software.

  3. Use the IBM FileNet IDM Desktop installer from CD or ftp.

  4. If Autostart is enabled, the IDM Desktop startup window displays. If not, select Run from the Windows Start menu, navigate to the root level of the CD or installer from ftp, and select Setup.

  5. Select Add/Remove.

  6. Click Reinstall.

  7. Reboot the computer.

See also
About adding libraries
Set preferences
Add and remove components


Install IDM Desktop 4.0.3

For installing IDM Desktop 4.0.3, you need Administrator privileges.

To install IDM Desktop

  1. Reboot the PC before running Setup.

  2. Close all active programs, including virus protection software.

  3. Use the IBM FileNet IDM Desktop installer from CD or ftp.

  4. The user can select the path to install IDM Desktop. By default IDM desktop will be installed to C:\Program Files\IBM\IDM.

    • In case of upgrade from older versions, existing path will be used to install the IDM Desktop 4.0.3

  5. IDM Desktop 4.0.3 will install Visual Studio 7.1 redistributive in either fresh install or upgrade scenario.

  6. Follow the instructions in the installation dialogs and help topics to install IDM Desktop.

  7. Reboot the PC.

  8. If you need access to CS libraries with Oracle client libraries, install the Oracle client software.

  9. Configure an ODBC Data Source for each CS database server.

  10. Use IDM Configure to add libraries and select user preferences.

Important: You may install IDM Desktop in any location except the root directory.

Reboot the PC to update the registry. You must reboot before using IDM Desktop or installing other software such as IDM Capture.

Log in as the same user who initiated the installation so that the registration completes correctly.

Upgrade from older versions of IDM Desktop

Older versions of IDM Desktop can be upgraded to IDM 4.0.3 versions.

Upgrade to IDM Desktop 4.0.3


Upgrade to IDM Desktop 4.0.3

To upgrade to IDM Desktop 4.0.3

  1. Reboot the PC before running Setup.

  2. Close all active programs, including virus protection software. Use the IBM FileNet IDM Desktop installer from CD or ftp.

  3. User is prompted with the screen “Older version of IDM Desktop found, do you want to upgrade”. Click Yes to proceed with the upgrade.

  4. Already existing components would be upgraded to newer version. Existing installation path is used to install in case of upgrade.

  5. Reboot the PC.

  6. Refer to Add and Remove components in case you want to add or remove any IDM components.

Note:

IDM Desktop 3.3. 4.0. 4.0.1, 4.0.2 and fix pack levels can be directly upgraded to IDM Desktop 4.0.3 without upgrading to higher versions. Example, IDM 4.0.1 can be upgraded directly to 4.0.3 without through 4.0.2.

After upgrade the start program menu gets changed from "FileNet IDM" to "IBM FileNet IDM" and the installation path remains same as C:\FileNET\IDM. Where as a fresh installation shows the path with C:\Program Files\IBM\IDM.


Install from the command line

Silent install and upgrade

In order to install IDM Desktop silently administrator has to follow certain steps prior to installation.

  • If the silent installation is to be done on a machine which doesn’t have any previous IDM instances, then it is considered as fresh installation of IDM.

  • Administrator has to run the “IDMDesktop403.exe” with “-r” option, so that all the options needed for silent installation is recorded. This has to on fresh machine so that we get the all required options for silent installation.

  • By running the “IDMDesktop403.exe” with “-r” option a file named “Setup.iss” is created in the <WINDOWS> folder by default. This is the recorded and input file for silent installation.
    Note:     Users can also change the path of the recorded file.

  • Administrator has to use the recorded file for running the installation in silent mode.

  • Keep the “Setup.iss” in some location. Then run the “IDMDesktop403.exe” with the following options so that it installs silently.

Example: A recorded .iss file appears as follows:

[{E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-DlgOrder]

Dlg0={E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdWelcome-0

Count=8

Dlg1={E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdLicense2Rtf-0

Dlg2={E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdRegisterUser-0

Dlg3={E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SetupType2-0

Dlg4={E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdAskDestPath-0

Dlg5={E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdComponentTree-0

Dlg6={E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdStartCopy2-0

Dlg7={E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdFinishReboot-0

[{E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdWelcome-0]

Result=1

[{E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdLicense2Rtf-0]

Result=1

[{E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdRegisterUser-0]

szName=IBM_USER

szCompany=IBM

Result=1

[{E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SetupType2-0]

Result=303

[{E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdAskDestPath-0]

szDir=C:\Program Files\IBM\IDM\

Result=1

[{E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdComponentTree-0]

szDir=C:\Program Files\IBM\IDM\

Common\WFDComponents-type=string

Common\WFDComponents-count=4

Common\WFDComponents-0=Common\WFDComponents\WFDFonts

Common\WFDComponents-1=Common\WFDComponents\WFDPixelDLLs

Common\WFDComponents-2=Common\WFDComponents\WFDPixelTranslationFiles

Common\WFDComponents-3=Common\WFDComponents\WFDCoreFiles

Common-type=string

Common-count=8

Common-0=Common\ProgramFilesDesktop

Common-1=Common\WFDComponents

Common-2=Common\INSO

Common-3=Common\EnsembleDLLs

Common-4=Common\SharedDLLs

Common-5=Common\ProgramFiles

Common-6=Common\DAO

Common-7=Common\ProgramFilesNT

ThirdParties-type=string

ThirdParties-count=3

ThirdParties-0=ThirdParties\MDAC2.8

ThirdParties-1=ThirdParties\VS80Redistributables

ThirdParties-2=ThirdParties\VS71Redestributables

Component-type=string

Component-count=7

Component-0=Common

Component-1=ThirdParties

Component-2=ImageServices

Component-3=ContentServices

Component-4=FindIntegration

Component-5=ExplorerIntegration

Component-6=DevelopmentFiles

Result=1

[{E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdStartCopy2-0]

Result=1

[{E9262FB1-6CF3-44E8-8D8D-2B161D6A7671}-SdFinishReboot-0]

Result=6

BootOption=3

To run silent setup

Enter the following on the command line, where /s indicates silent mode:

IDMDesktop403.exe /s /f1<PATH>/Setup.iss

This installs all the features which are recorded during the GUI Installation.

See also
What Setup installs
Setup Log File


About SMS installations

About SMS installations and upgrades

Microsoft’s System Management Server (SMS) 2.0 SP4 can be used for unattended, silent-mode installations of IDM Desktop. Use the information in this topic in conjunction with the SMS documentation to set up SMS.

You can use SMS for an initial installation of IDM Desktop 4.0.3, can upgrade 4.0.3 directly on older versions.

IDM Desktop does not support a silent process for adding or removing IDM Desktop components or for uninstalling the product. A silent installation using SMS involves the following steps:

  1. Set up the client computers .

  2. Create a recording session to specify the installation directory and the components to install. <Give the link to Silent install section where recording is mentioned)

  3. Set up the SMS server .

Tip for configuring IDM Desktop on multiple computers using SMS

Create a preferences file then use another SMS package to import the preferences.


Client settings for SMS installations

Set up SMS clients

Make the following changes to client computers before installing IDM Desktop:

  • Install the SMS client software.

  • Add the computer to the SMS server's domain.

  • Verify that the workstation has the correct time.

  • Reboot the workstation immediately before the installation.


Set up SMS Server for 4.0.3

Set up SMS server

Use this procedures as a guide to setting up SMS. The procedure describes the settings used to certify unattended installs and upgrades of IDM Desktop using SMS. Many other SMS features are available. The reader should be familiar with SMS packages, collections, and advertisements, and should refer to SMS documentation for exact information.

Set up the SMS server

  1. Verify that the server’s time is correct.

  2. Copy the contents of the IDM Desktop software package into a source folder on the SMS server or on a network drive accessible to SMS.

  3. To install IDM Desktop using SMS server, a recorded session file must be first created. See Silent Install to know how to create the recorded session.

  4. Open the SMS Administrator Console.

  5. Open Site Database>FileNet>Site Settings, and display the Site Setting Properties.

  1. On the General tab, select Enable software distribution to clients and set the interval for Check for new programs.

  2. On the Notification tab, enable a notification message.

  7. Create a package as follows:

  1. Right-click on Packages, and click New.

  2. On the General tab, assign a name such as "IBM FileNet IDM Desktop 4.0.3".

  3. On the Data Source tab-
    - Select This package contains source files.
    - Set the source directory to the source folder you created in step 2.
    - Select Always obtain files from the source directory.

  4. On the Distribution Settings tab, set Sending Priority to High.

  8. Add an installation program as follows:

    1. Open the package created in step 4, right-click on Programs, and then click New.

    2. On the General tab-
      - Add a program name such as "Install".
      - Set the command line (For example, IDMDesktop403.exe /s /f1<PATH>/Setup.iss)
      - For Run, select Normal.
      - For After Running, select SMS restarts computer. Alternatively, you can instruct the user to reboot.

    3. On the Requirements tab-
      - Select This program can run only on specified platforms
      - Select one or more of the platforms supported for this release of IDM Desktop.

    4. On the Environment tab-
      -Set Program can run to: Only when a user is logged on
      -Set Run mode to: Run with administrative rights
      - Set Drive mode to: Runs with UNC name

  9. Add an upgrade program as follows:

  1. Open the package created in step 4, right-click on Programs, and then click New.

  2. Add a program name such as "Upgrade" and set the command line (For example, IDMDesktop403.exe /s /f1<PATH>/Upgrade.iss)

  3. On the Requirements tab-
    - Select This program can run only on specified platforms
    - Select one or more of the platforms supported for this release of IDM Desktop.

  4. On the Environment tab-
    - Set Program can run to: Only when a user is logged on
    - Set Run mode to: Run with administrative rights
    - Set Drive mode to: Runs with UNC name

  10. Create one or more collections.

  11. Create an advertisement.

  1. Select Assign immediately after this event and As soon as possible.

  2. Set Priority to High.

Note: For both fresh install and upgrade from any older versions, installation needs to be recorded to recorded session and the .iss file should be used actually install.


Add and remove components

You can add and remove IS and CS library support, application integration, Find integration, Explorer integration, and development files.

To add or remove IDM Desktop components

  1. Reboot the computer to clear the computer’s memory. Close all active programs, including virus protection software.

  2. Insert the CD labeled "IDM Desktop" into your CD drive, or use installer from ftp.

  3. Usually, Setup starts automatically. If it doesn't, select Run from the Windows Start menu, navigate to the root level of the CD ROM and select Setup. The IBM FileNet IDM Desktop Setup window displays.

  4. Select Add/Remove.

  5. Click the Add/Remove button.

Adding or removing integration for Microsoft Office

To add application integration, you must first install a supported version of Microsoft Office. Conversely, you must remove an integration before uninstalling an integrated application.

  6. Select the component(s) to add or remove.

  7. Follow the prompts.

  8. Reboot the computer.


Uninstall IDM Desktop and CS client libraries

Uninstall IDM Desktop, CS client libraries and IS Tool Kit

Uninstalling IDM Desktop involves first removing the IDM Desktop software and then the CS client libraries (if installed) and IS client libraries, Uninstalling does not remove desktop shortcuts or local files (such as stored searches) saved on the computer.

CAUTION

Do not uninstall CS client libraries until you have uninstalled all the applications that use them.

To remove IDM Desktop

  1. Reboot your computer to clear the computer’s memory.

  2. Close all active programs, including virus protection software.

  3. From the Windows Control Panel, select Add/Remove Programs.

  4. Select IBM FileNet IDM Desktop.

  5. Click Change/Remove.

  6. After the IBM FileNet IDM Desktop is uninstalled, reboot your system.

To remove CS client libraries

  1. From the Windows Control Panel, select Add/Remove Programs.

  2. Select IBM FileNet IDM CS client libraries.

  3. Click Change/Remove.

  4. Reboot your computer.

  5. Remove any related desktop shortcuts from the computer.

To remove IS client libraries

  1. From the Windows Control Panel, select Add/Remove Programs.

  2. Select ISTK

  3. Click Change/Remove.

  4. Reboot your computer.

  5. Remove any related desktop shortcuts from the computer.

Optionally, you may wish to delete the ODBC Data Sources you set up for access to CS libraries.

See also
Add and remove components
Reinstall IDM Desktop


Silent UnInstall

Silent Uninstall IDM Desktop 4.0.3

“Silent“ Uninstallation will uninstall IDM in the manner how the GUI uninstallation is done. A recorded file is to be created while GUI uninstallation. There is a dependency on the installer “IDMDesktop403.exe” to create the recorded file or response file.

To record silent uninstallation response file, we have to execute the same “IDMWebServices403.exe” from the source directory. This will ask for the maintenance window, by selecting the “Remove” mode in the maintenance window will start removing the entire IDM Web Services setup.

To create the response file use the following command:

<Path> IDMDesktop403.exe -r -f1uninstall.iss

This will create “uninstall.iss” as the response file, which is to be used for the play back to remove the IDM Web Services silently.

To use the response file for silent uninstallation, run the command:

<Path> IDMDesktop403.exe -s -f1C:\uninstall.iss

This will be uninstalling the application silently.


IDM Configure overview

Configuring IDM Desktop consists of defining user preferences. This includes setting up access to libraries, then selecting options for directories and files, documents, searching, viewing, libraries, and integrated applications.

Because some user preferences are set on a per-library basis, you first set up access to the libraries, and then set the preferences for those libraries. You do both by using the Configure program located in Start, Programs, IBM FileNet IDM.

For information on configuring access to libraries, see these topics:
About adding libraries
Add an IS Library
Add a CS library
Remove a preferred library
For information on setting preferences, see these topics:
Preferences overview
Set preferences
Restore default preferences
Preconfigure libraries and preferences
Preference Guide


About adding libraries

You can set up access to (add) any number of IS and CS libraries with IDM Configure. Once you add a library, an icon, labeled with the library name that you define, will appear in the IDM Configure dialog under Preferred Libraries, and if you installed Explorer integration, in the IBM FileNet Neighborhood. IS library icons are blue, and CS library icons are yellow.

When you add a library, IDM Configure does not verify that you have a connection to the library.

Libraries are stored as preferences, and therefore can be exported to a preference file and imported to other IDM Desktop users' computers.

Preferred libraries

All libraries that you add using IDM Configure are called preferred libraries.

Preferred libraries appear in the IBM FileNet Neighborhood, in the Look in dropdown menus in IDM Find, and in the IDM Viewer's Open dialog.

Default library

The default library is the first library you configure. IDM Desktop uses this as the default library for operations that require a user to log on. It is also the first library listed in the Look in dropdown menu in IDM Find. The default library can be either an IS or a CS library.

Default network library (IS)

The default network library is the first IS library you configure. The remote libraries configured on the default network library appear in Entire IBM FileNet Neighborhood (if configured). You can also configure a remote library as a preferred library.

The procedure for adding a library varies between IS and CS:

Add an IS Library
Add a CS library
See also
Remove a preferred library


Add an IS library

This procedure explains how to add IS libraries.

To add an IS library

  1. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. Click Add.

  3. Click Image Services.

  4. Enter or select the IS library:

Enter a library

Identify the library by entering the following information:

Library name

Enter the library name you want to use as the icon label in the Library name field. Each library name must be unique.

Domain

Enter the name of the system. The domain name is case-sensitive.

Organization

Enter the organization name. The organization name is case-sensitive.

Domain and Organization are the second and third parts of the standard IS three-part name. An example of a three-part IS name is:

DefaultIMS:ar:IBM

Select an IS library

If any remote libraries are configured for your default network library, they will display on the left side of the dialog box. If the library you want to add appears in the list, click on it. IDM Configure fills in the Library name and Service information on the right side of the dialog box.

The library name becomes the icon label for the library. You can type in another name or use the system name. For example, you could change "ar" to "Accounts Receivable." Do not change anything other than the library name.

  5. Click OK. The library that you added appears under Preferred Libraries.

If you want this library to be your default library, highlight the library name and click Set Default Library.

If you want this library to be your default network library, highlight the library name and click Set Default Network Library.

  6. Click Close.
See also
Add a CS library


Add a CS library

This procedure explains how to add a CS libraries, and optionally, make one your default library.

To add a CS library

  1. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

If you have Administrator or Power User privileges, you can select Set default preferences for new users or Set preferences for currently logged on user. Use Set default preferences for new users to add a library so that it is visible to first-time users.

  2. Click Add.

  3. Click Content Services.

  4. Identify the library by entering the Library name and Service information:

Library name

This is the name that will appear under the library icon in the IBM FileNet Neighborhood. If you want the library name that appears in IBM FileNet Neighborhood to be different from the actual library name, enter it in the Library name field. For example, in the Library name field you might enter "Legal Documents" instead of "legdoc."

Each library name must be unique. If your site has two CS libraries with identical Library names (in a test case, for example), only one can be added to the configuration and used at a time; one will have to be removed before the other is added.

If you don't enter a library name, the default library name is System Name^Host Machine Name.

System

Enter the library’s system name. (The system name is case-sensitive for Oracle.) Each system name must be unique on the workstation (even if it is on a different host machine).

Host Machine

Enter the (case-sensitive) name of the Oracle database server, also called the property server. For a CS library with an Oracle database on a Solaris server, you must enter the VCatServerName, which is the Network Service Name entered during CS library installation. You must also add an ODBC Data Source for the database server.

  5. Click OK twice. The library that you added appears in the Preferred Libraries list.

  6. If you want this library to be your default library, select the library name and click Set Default Library.

  7. Click Close.

See also

Add an IS Library

Set preferences


Configure ODBC Data Source

Configure ODBC Data Source for each CS database server

To configure the ODBC data source for a CS SQL Services database server

Complete this procedure for each CS SQL Services database server.

  1. Start the Windows Data Source (ODBC) Administrator.

    TIP     For information on starting the ODBC Data Source Administrator, search for "ODBC Data Source Administrator" in the Windows Help.

  2. Select the System DSN tab, and then click Add.

  3. Select the SQL Server driver, and then click Finish. This starts the "Create a New Data Source" wizard.

  4. Enter the database server name in the Name and Server fields, enter an optional Description, and then click Next.

The DB server name is the same as the CS computer name unless you are using a remote DB server.

  5. Click the Client Configuration… button, select TCP/IP, and then click OK.

  6. Select SQL Server authentication.

    • To test the DSN connection (in step 10), select "Connect to SQL Server to obtain default setting for the additional configuration options," and enter the SQL database administrator’s user name and password.

    • To skip the DSN connection test, clear the checkbox for "Connect to SQL Server to obtain default setting for the additional configuration options."

  7. Click Next.

  8. Click Next.

  9. Click Finish.

  10. If you selected SQL Server authentication and "Connect to SQL Server to obtain default setting for the additional configuration options" and entered the system administrator’s user name and password, click Test Data Source to verify that the DSN is correctly configured.

To configure the ODBC data source for a CS Oracle database server

If you are using Oracle, the Oracle client software must be installed and you must configure a Net Service Name before you use the procedure below to configure an Oracle ODBC Data Source. For information on configuring the Net Service Name, refer to the IBM FileNet Content Services Administrator’s Help.

  1. Start the Windows Data Source (ODBC) Administrator.

    TIP     For information on starting the ODBC Data Source Administrator, search for "ODBC Data Source Administrator" in the Windows Help.

  2. Select the System DSN tab, and then click Add.

  3. Double-click Microsoft ODBC for Oracle to bring up the ODBC Driver Setup dialog box.

  4. Click Options to expand the dialog box.

  5. Enter the Data Source Name and the server name:

  • For a CS library with an Oracle database on a Solaris server, the Data Source Name and server name entered here, and the server name entered in IDM Configure, must match the VCatServerName, which is the Network Service Name entered during Content Services installation.

  • For all other CS libraries with an Oracle database, enter the Data Source Name (use the server name), and enter the server name again.

  6. For all libraries, select the "SQLDescribeCol always returns a value for precision" checkbox.

  7. Click OK.

  8. "SQLDescribeCol always returns a value for precision" checkbox.

  9. Click OK.

  10. Optionally, you can test the ODBC connection using the Oracle ODBC Test utility as follows:

a. Select the Data Source Name for the machine you just created.

b. Enter the following command in SQL*Plus to connect to the database instance:

sys/sys_pwd@db_servername

If you receive an error, make sure that you have entered the correct information for your Local Net Service Name configuration and for the ODBC connection. Review your initORACLE_SID.ora, listener.ora, and tnsnames.ora files. Also make sure that the listener service is started.


Remove a preferred library

When you remove a preferred library, it no longer appears in the IBM FileNet Neighborhood or in the Look in dropdown menus. You cannot remove the last library from the list of preferred libraries, nor can you remove a default library (you can select a different library as the default library, then remove the previous default).

To remove a preferred library

  1. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. Select the library to be removed in the Preferred Libraries list box.

  3. Click Remove.

  4. Click Close.


Edit a library's label

You can change the name or label that identifies a library in the IBM FileNet Neighborhood using IDM Configure.

To change a library’s label

  1. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. In the Preferred libraries list, select the library whose label you want to change.

  3. Click Edit.

  4. Delete the library name in the Library name field and type the new name.

  5. Click OK then Close.


Preferences overview

Preferences affect the security, appearance, and behavior of IDM Desktop. They are divided into these categories:

  • Documents

  • Directories and Files

  • Searching

  • Publishing

  • Viewing

  • Libraries

  • Application integration

  • Print/Fax

Each preference category has one or more subcategories, and each subcategory has one or more associated preferences.

If more than one person will use IDM Desktop on a single PC, each user will have his own preferences. In addition, if your Windows account grants you Administrator or Power User privileges, you can add libraries and set preferences to define a starting configuration for first-time users.

For applications integrated with IDM Desktop, you can set preferences using either IDM Configure or the integrated application.

For a description of each preferences see the Preference Guide included in this help system.

See also

Set preferences
Restore default preferences
Preconfigure libraries and preferences (importing and exporting preferences)


Set preferences

Preferences are saved in the registry as follows:

  • Each user has his own preferences, which are saved in HKEY_CURRENT_USER.

  • Preferences for first-time users come from HKEY_USERS\.DEFAULT. See step 2 in the procedure below for details.

To set preferences

  1. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. If your Windows account has only Restricted User privileges, you can set only your own preferences. If your Windows account has Power User or Administrator privileges, you see these radio buttons:

  • Choose Set preferences for currently logged on user to set your own preferences.

  • Choose Set default preferences for new users to set preferences for any first-time user on the PC. Once the user logs into an IBM FileNet library, the user has own preferences.

  3. Click Additional Preferences. The IDM Preferences dialog displays the list of categories: Documents, Directories and Files, Searching, Publishing, Viewing, Libraries, and Application Integration, and Print/Fax.

  4. Select a category and subcategory. Text below the selection area describes the selected item.

  5. Select the preference that you want to set. Text below the preference tree displays the options available for the preference and, below that, more text describes the preference. See the Preference Guide for a list and description of each preference.

  6. Depending on the preference, you can change values by doing one of the following:

  • Entering text

  • Clicking a check box, radio button, or spin arrow

  • Selecting from a list

  • Browsing for a folder

  7. Make your changes, click OK, then click Close.

See also

Preference Guide


Restore default preferences

You can restore an individual preference to its default or all preferences to their defaults in most cases. Library preferences with local paths defined, the alternate viewer preference, and preferences affecting Windows security must be restored manually.

To restore all defaults

  1. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. Click Additional Preferences.

  3. Click Restore All Defaults.

To restore a single preference to its default

  1. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. Click Additional Preferences.

  3. Select the preference to restore.

  4. Click Restore Default.

Tip

To see whether a preference is set at its default, select the preference and look at the Restore Default button. If the button is dimmed, the preference is set to its default. If the button is active, the preference was changed from its default.

Note

For IDM Desktop applications, preferences take effect when you reboot. For integrated Office applications, preferences take effect when you restart the application.


Preconfigure libraries and preferences

To simplify the configuration process when installing (or upgrading) IDM Desktop on multiple PCs, you can specify libraries and user preferences on one PC, export them to a file, then import them to other PCs after installing IDM Desktop. Each user can customize his or her own preferences if necessary.

Preconfiguring libraries and preferences involves installing IDM Desktop on the first PC, configuring preferences (selecting libraries and other user preferences), exporting the preferences to a file, then importing the preference file into IDM Desktop on other PCs. IDM Configure includes export and import buttons to accomplish this. You can configure multiple export files for use in group or departmental situations.

Preferences export to a file "filename.fnp". The default filename is IDMprefs.fnp. You will be prompted for a filename during the export procedure. You may name the file anything you wish, but must retain the .fnp extension.

Application integration and custom application preferences

Any applications in which you integrate IDM Desktop must be installed on the PC on which you are creating the preference file. Similarly, if you have a custom application for which you want to export preferences, it must be installed on the export PC.

If you attempt to import preferences that include application integration or with a custom application configured) when they are not installed on the target PC, IDM Configure will display a warning stating that the subsystem(s) (application integration and/or custom applications) do not exist on the system. The warning will list those components.

Exporting/importing preferences with local paths defined

IDM Desktop includes three preferences with values that define local paths. The default values for these preferences are environment variables that define the local paths on the currently-logged on user’s PC.

See Preferences with local paths defined for complete information.

Limitations

You cannot import IDM Desktop preferences to an IBM FileNet IDM Web Services Web server. Conversely, you cannot import Web server preferences to a computer with IDM Desktop installed.

You cannot import a preference file created by an earlier release. Upgrading the software will upgrade your preferences. After an upgrade, you must re-export preferences.

Custom preference files

The sections in this topic discuss the typical behavior of preference files. You can perform tasks outside the typical behavior by using the IDM Desktop application program interface (API). For example, you may create a custom application to export library preferences only, or user preferences only.

See also

Export preferences
Import preferences


Preferences with local paths defined

IDM Desktop includes three preferences with values that define a local path. These preferences are:

  • Directories and Files [image] Checkouts and Copies [image] Document checkout directory <path>

  • Directories and Files [image] Checkouts and Copies [image] Document copy directory <path>

  • Directories and Files [image] Local Caching [image] Cache directory <path>

  • Directories and Files [image] Logging [image] Log directory <path>

Document checkout directory and Document copy directory

The Document checkout directory is the default local directory for documents that users check out from a CS library. The Document copy directory is the default local directory for documents that users copy from a CS library.

The default value for these two preferences is the environment variable %IDMUser%. (See "Tips on defining environment variables" below for more information.)

If %IDMUser% is not defined, the default is the user’s personal directory.

Cache directory

The Cache directory is the local directory in which documents are cached. The default value for the Cache directory preference is %IDMInstall%\Cache.

With this default value expanded, the local cache directory is C:\Program Files\IBM\IDM\Cache (for all Windows versions).

Log directory

The Log directory is the local directory in which the error logs are saved. Currently it is being used by the Queue Maintenance application.

Exporting/Importing preferences with local paths

Preferences with local paths can be exported and imported. You can use the IBM-supplied environment variables described above, custom environment variables, or define an absolute path. If you define an absolute path, make sure that these paths are valid for the systems on which they are being imported. If you use a custom environment variable, make sure that it’s defined.

Tips on defining environment variables

Environment variables can be defined programmatically with the Windows API, or manually.

  • Programmatically

Use the Windows API’s SetEnvironmentVariable or GetEnvironmentVariable command.

  • Manually

Open the System control panel. On the Advanced tab, click Environment Variables. For more information, consult the Help system.

Do not put the variable between the percent symbols when defining it in Windows. Only do so in the IDM Configure text box; once you have added a new environment variable or redefined one, open IDM Configure, select the preference, and enter the variable (between the percent symbols) in the text box next to the Browse button.


Export preferences

To export preferences

  1. From the Windows Start menu, select IBM FileNet IDM, then Configure.

  2. Select the preferences and libraries to export to other PCs (see Set preferences for instructions).

  3. Click Export.

  4. Select the individual subsystems to export, or click the Select all button.

  5. Select an Export option (applies when upgrading or overwriting existing preferences with new ones):

Add and update libraries when importing

When imported, adds access to the selected libraries. If libraries different than those being imported are configured on the computer, the user will have access to both the existing ones and the imported ones.

Delete existing libraries when importing

Deletes the existing library access configuration, then adds the libraries from the preference file. The user can access only those configured in the imported preference file.

  6. Click Save As. In the Save As dialog, select the path to the location in which to save the configuration file, enter a new filename if you wish to change the default (IDMPrefs), and click Save. (Leave the file type as <filename>.fnp.)

See also

Preferences with local paths defined
Import preferences
Preconfigure libraries and preferences


Import preferences

There are three methods of importing preferences:

  • From IDM Configure

  • From the file location

  • From the DOS command line

Important

When you install IDM Desktop, you can install support for:

  • IS libraries

  • Accessing Content Services

It is your responsibility to install support for the libraries you add or import to a workstation, including configuring the ODBC Data Source . IDM Configure will not report an error or display a warning if you add or import a library that is not supported by your installation. See Add and remove components for instructions).

To import preferences (from IDM Configure)

  1. Export your current preferences to a file "backup.fnp" to backup your current preferences.

  2. Copy the new preference (.fnp) file to a place where you want to access it.

  3. From the Windows Start menu, select IBM FileNet IDM, then and Configure.

  4. Select Set default preferences for new users or Set preferences for currently logged on user . (These options appear only when your Windows account grants you Power User or Administrator privileges).

  5. Click Import.

  6. Click OK to confirm that you want to import preferences.

  7. Navigate to the folder where the preference file is located.

  8. Double-click the preference file that you want to import.

  9. Click Close.

To import preferences from the file location

With this method, the libraries that are imported are added to the libraries already configured on the PC. They do not replace the existing ones.

  1. Export your current preferences to a file "backup.fnp" to backup your current preferences.

  2. Navigate to the preference file location and double click on the filename.

  3. A message will display warning you that importing will overwrite existing preferences. Click OK to proceed.

To import preferences from the command line

  1. Export your current preferences to a file "backup.fnp" to backup your current preferences.

  2. Copy the preference (.fnp) file to the PC on which you will be importing it.

  3. Open a DOS window.

  4. At the command prompt type

Idmcfg [-m]<path\filename>

The -m flag suppresses any import messages.

The libraries that are imported are added to the existing libraries already configured on the PC. They do not replace the existing ones.

See also

Preferences with local paths defined


Preference Guide

This Preference Guide lists and describes all of the preferences that apply to IDM Desktop and IBM FileNet IDM Web Services.

Preferences are divided into categories (Documents, Directories and Files, Searching, etc.), subcategories (Default Action, Folder Operations, etc.) with individual preferences within each subcategory.

Not all preferences will apply or display in all installations. For example, if you have no IS libraries configured, no IS library preferences will display in IDM Configure.

To use the Preference Guide

  • Click on a book in the Contents tab to the left of this window to display each subcategory, then each individual preference within it.

  • If you are looking for a specific preference, click the Search tab and enter the name of the preference, or click on the Index tab. Each preference is listed in the index alphabetically and also under the keyword "preferences."

See also

Preferences overview

Set preferences


Display order

Preference | Display Order
Description | Defines what happens when you select a type of CVL order.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] CVL
Applies to | IDM Desktop Web server CS libraries
Possible values | Manual Automatic (Default)
Takes effect | Immediately
API | No
Exportable | Yes


IS desktop document action

Preference | IS desktop document action
Description | Defines what happens when you double-click on an IS document icon (single-click with an active desktop configuration).
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Default action
Applies to | IDM Desktop Web server IS libraries
Possible values | IDM View (default) Open Preview Properties
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 CS desktop document action

Preference | CS desktop document action
Description | Defines what happens when you double-click on a CS document icon (single-click with an active desktop configuration).
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Default action
Applies to | IDM Desktop Web server CS libraries
Possible values | Open (default) IDM View Checkout Checkout and Open Copy To Copy and Open Preview Properties
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 New document must be filed in folder

Preference | New document must be filed in folder
Description | When set to Yes, a new or published document must be filed in a folder. When set to No, you can add or publish a document without filing it in a folder.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries IS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


Set document title to filename

Preference | Set document title to filename
Description | If set to Yes, sets the default title of a new CS document to the file name (without the extension). If set to No, the default title is set to the document ID.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


Index content

Preference | Index content
Description | Index for content searching when you add, publish, or check in a document.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop CS libraries
Possible values | Use library default (default) Index Do not index
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Show "Index content"

Preference | Show "Index content"
Description | When set to yes, shows the prompt to index the document for content searching when a document is added, published or checked in.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Keep local copy

Preference | Keep local copy
Description | Keep local copy of files you add and checkin.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Show "Keep local copy"

Preference | Show "Keep local copy"
Description | Prompt to keep local copies of files you add or check in. Also see Keep local copy .
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Security for new CS documents

Preference | Security for new CS documents
Description | The System default for user setting gets new document security from the user’s profile. The Folder setting gets new document security from the folder. In either case, the user who adds the document gets owner access rights.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | System default for user (default) Folder
Takes effect | Immediately
API | Yes. Cannot be overridden by API call.
Exportable | Yes


User closes add/checkin confirmation dialog box

Preference | User closes add/checkin confirmation dialog box
Description | When set to Yes, requires the user to click OK to close the confirmation dialog box after a document is added.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Determine if the file is a compound document

Preference | Determine if the file is a compound document
Description | If set to Yes, finds linked documents during add and checkin operations. Documents previously identified as compound documents are always checked for links. If the "Determine if the file is a compound document" checkbox appears in the Add wizard, this preference sets the default.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes No (default)
Take s effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Show "Determine if the file is a compound document"

Preference | Show "Determine if the file is a compound document"
Description | If set to yes, the Document Wizard displays a checkbox and the text "Determine if the file is a compound document". If set to no, the checkbox does not appear, and the Determine if the file is a compound document preference takes effect. Also see Determine if the file is a compound document .
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


File children of compound document with the parent

Preference | File children of compound document with the parent
Description | When adding or checking in a compound document, automatically files the child documents in the folder where the parent document is filed. Also see Show "File children" .
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Show "File children" checkbox

Show "File with parent"

Preference | Show "File with parent" checkbox
Description | Prompt to file a compound document’s children in the same folder as the parent. Also see File children of compound document with the parent .
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes
Exportable | Yes. Can be overridden by API call.
Upgrade | No


IS document label

Preference | IS document label
Description | IS document label is a property that replaces the document ID in the Name column in the IBM FileNet Neighborhood, search results, and so forth.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop IDM Desktop custom applications Web server Web client IS libraries
Possible values | A valid property name. The default is F_DOCNUMBER
Takes effect | Immediately
API | Yes. Cannot be overridden by an API call.
Exportable | Yes


Checksum new IS document

Preference | Checksum new IS document
Description | Checksums IS documents when they are added.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | Yes. Cannot be overridden by an API call.
Exportable | Yes


Checksum retrieved IS documents

Preference | Checksum retrieved IS documents
Description | Checksums IS documents when they are retrieved.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | Yes. Cannot be overridden by an API call.
Exportable | Yes


View Report Manager statements as PDF

Preference | View Report Manager statements as PDF
Description | Retrieves Report Manager statements as PDF documents.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | Web client IS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | No
Exportable | Yes

Web clients can use either Acrobat Reader or Acrobat, but not both.

This preference applies to Web clients only.

  • If the preference is set to Yes, and the Web client machine has both the IDM Viewer and Adobe Acrobat Reader, Report Manager statements with statement security are displayed as PDF documents in the viewer, using the Acrobat 6.x.

  • If the preference is set to No, and the web client machine has both the IDM Viewer and Adobe Acrobat 4.x, 5.x, and 6.x, Report Manager statements with page security and PDF reports are displayed as PDF documents in the viewer, using the Acrobat 6.x.

Note

Although Report Manager supports Acrobat 4.0, numerous problems are fixed in versions 4.05a and 6.x. We recommend 6.x.

See also


Use server notification for IS document migration

Preference | Use server notification for IS document migration
Description | When set to Yes, an IS library server notifies a client upon the completion of a document migration request. When set to No, a client polls the server for document migration status on a 10-second interval for the duration specified in the IS document migration timeout preference. Those who filter UDP network packets or who perform network IP address translations must uncheck this preference because otherwise server notifications cannot reach clients.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Cannot be overridden by an API call.
Exportable | Yes


IS document migration timeout (seconds)

Preference | IS document migration timeout (seconds)
Description | Determines the number of seconds to wait for a document to migrate to IS library server cache.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | From 1 to 600 seconds The default is 120 seconds.
Takes effect | Immediately
API | Yes. Cannot be overridden by an API call.
Exportable | Yes


Show security page in the Add Wizard

Preference | Show security page in the Add Wizard
Description | Show the security page in the Add Wizard when adding a new document to a CS library.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


Default read permission for new IS annotations

Preference | Default read permission for new IS annotations
Description | Sets the default read permission for new IS annotations.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Annotations
Applies to | IDM Desktop Web server IS libraries
Possible values | ANYONE Primary group of logged on user (default) Logged on user System default NONE
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Default write permission for new IS annotations

Preference | Default write permission for new IS annotations
Description | Sets the default write permission for new IS annotations.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Annotations
Applies to | IDM Desktop Web server IS libraries
Possible values | ANYONE Primary group of logged on user (default) Logged on user System default NONE
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Default append/execute permission for new IS annotations

Preference | Default append/execute permission for new IS annotations
Description | Sets the default append/execute permission for new IS annotations.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Annotations
Applies to | IDM Desktop Web server IS libraries
Possible values | ANYONE Primary group of logged on user (default) Logged on user System default NONE
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Document checkout directory

Preference | Document checkout directory
Description | The default local directory for documents checked out from a CS library. If you are using application integration, do not set the document checkout directory to the system’s default temp directory.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Checkouts and Copies
Applies to | IDM Desktop Web server CS libraries
Possible values | The name of a directory. The default is C:\My Documents
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes

CAUTION

If you assign the checkout directory to a network drive, be aware that new OLE links in compound documents will be interpreted as new documents. See the workaround in the troubleshooting topics in the Desktop User's Help .


 Document copy directory

Preference | Document copy directory
Description | The default local directory for documents copied from a CS library. If you are using application integration, do not set the document copy directory to the system’s default temp directory.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Checkouts and Copies
Applies to | IDM Desktop Web server CS libraries
Possible values | The name of a directory. The default is C:\My Documents
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Prompt for filename on checkout or copy

Preference | Prompt for filename on checkout or copy
Description | Prompt the user for the filename of a checked out or copied file. If not selected, the Default checkout or copy directory is used along with the filename stored in a CS library. If the file already exists, the user will be prompted.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Checkouts and Copies
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


 Cache directory

Preference | Cache directory
Description | Lets you change the name or location of the directory where cached files are stored.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Local Caching
Applies to | IDM Desktop Web server Web client CS libraries IS libraries
Possible values | The name of a directory. The default is %IDMInstall%\Cache. (The Cache directory under the IBM FileNet installation directory.)
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | No

Important Note
Always assign a directory that is used only for caching files. When you uninstall IDM Desktop (or IBM FileNet Web Services), the entire cache folder is deleted.


 Delete cache on logoff

Preference | Delete cache on logoff
Description | Enables or disables the option of deleting files from local cache when you log off from all libraries or shut down the computer.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Local Caching
Applies to | IDM Desktop Web server Web client CS libraries IS libraries
Possible values | Yes (default) No
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


 Maximum cache size (MB)

Preference | Maximum cache size (MB)
Description | Defines the maximum amount of disk space, in megabytes, for local cache.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Local Caching
Applies to | IDM Desktop Web server Web client CS libraries IS libraries
Possible values | From 1 MB to 4095 MB. The default is 10 MB for IDM Desktop, and 100 MB for IBM FileNet IDM Web Services.
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes

The amount of cache available also affects the maximum size of a file that can be opened in IDM View. When determining the maximum cache size, estimate the average size of a library file and multiply that by two. Make sure that cache is big enough to hold the largest file. If your system has multi-page TIFF files, make sure that the cache can accommodate these.

When a Web client user opens a file, the file is copied into cache on the Web server. This specifies the amount of cache on the Web server used by Web clients.


 Maximum cached documents (K)

Preference | Maximum cached documents (K)
Description | Defines the maximum number of documents or image pages that can be stored in the local cache. Once this limit has been reached, no more pages can be retrieved as old pages are not aged out.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Local Caching
Applies to | IDM Desktop Web server Web client CS libraries IS libraries
Possible values | From 1 to 100 K (1,000 to 100,000). The default is 10 K (10,000).
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


 Configure NT credentials for cache

Preference | Configure NT credentials for cache
Description | Provides security for files in cache on the Web server.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Local Caching If setting to Yes, add Common User as described below.
Applies to | Web server (configured with integrated Windows access) IDM Desktop (configured with integrated Windows access) Web client CS libraries IS libraries
Possible values | Yes No (default)
Takes effect | After restarting Windows
API | No
Exportable | Yes. Can be overridden by API call.

By enabling this preference, access to the cached files and subdirectories is restricted to users whose IS or CS credentials have already been verified on the IS library.
Security on the directory where IDM Desktop or Web Service is installed is set to a specific Windows user group, rather than the recommended default (which is Full Control access to EVERYONE group).

To configure local cache security
  1. Start IDM Configure and navigate to the Edit the file extension associations preference: Start, IDM Configure, Additional Preferences, Directories and Files [image] Local Caching [image] Configure NT credentials for cache.
  2. Click Configure NT credentials for cache.
  3. Click Enable setting NT credentials to cache files.
  4. Enter "Common User" in the User field, enter a password, and confirm the password.
  5. Click OK, exit the program, log off the computer, and then log back on.


 Enable IS prefetching

Preference | Enable IS prefetching
Description | Enables or disables all prefetching. When set to no, other prefetching preferences are ignored.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server * Web client IS libraries
Possible values | Yes (default) No
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes
  • For this preference to work with a Web client:
    • The preference must be set to Yes.
    • Prefetching must be enabled on the IS library.
    • An API must be written.


 Page-ahead prefetching

Preference | Page-ahead prefetching
Description | Enables or disables prefetching of ID documents. When enabled, the software attempts to prefetch the page you are most likely to view next, depending on the recent paging sequence.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Yes (default) No
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


 Page ahead prefetching higher priority

Preference | Page-ahead prefetching higher priority
Description | Enables or disables prefetching of the next page before processing any custom application prefetch requests.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Yes (default) No
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


 Prefetch to server cache

Preference | Prefetch to server cache
Description | Enables or disables prefetching documents to server library server cache when a custom application queues the documents for prefetching to local cache.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Yes (default) No
Takes effect | After restarting Windows
API | Yes. Can be overridden by API call.
Exportable | Yes


 Priority
Preference | Priority
Description | Tells the operating system the relative priority of prefetch requests.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Time critical High Above normal Normal Below normal (default) Low Idle
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


 Interval (milliseconds)

Preference | Interval (milliseconds)
Description | Sets the interval between prefetch activities.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | From 1 to 32,767 milliseconds The default is 500 milliseconds
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


 Maximum pages in retrieved list

Preference | Maximum pages in retrieved list
Description | Sets the number of pages in a paging sequence, which determines the next page for page-ahead prefetching .
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | From 1 to 32,767 pages The default is 10
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


 Maximum time to keep item in retrieved list (minutes)

Preference | Maximum time to keep item in retrieved list (minutes)
Description | Sets the time, in minutes, that a page remains in the paging sequence.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | From 1 to 32,767 minutes The default is 500 minutes
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Log directory

Preference | Local directory for saving error logs
Description | The default local directory where the logs of the application will be saved. Currently only the Queue Maintenance application uses this preference.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Logging
Applies to | IDM Desktop Web server IS libraries
Possible values | The name of a directory. The default is %IDMInstall%\Log. (The Log directory under the IBM FileNet installation directory)
Takes effect | Immediately
API | No
Exportable | Yes


 Enable "Find More"

Preference | Enable "Find More"
Description | For cases where there may be a large number of documents that satisfy the search criteria, this preference displays search results in increments. The user can click the Find More button to page through the results. Use "Find More" count to set the number of files returned during a search.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Searching [image] Results
Applies to | IDM Desktop Web server CS libraries IS libraries
Possible values | No (default) Yes
Takes effect | After starting IDM Find.
API | Yes. Can be overridden by API call.
Exportable | Yes


Enable "Closed Document"

Preference | Enable "Closed Document"
Description | User has option to search the closed document as a default option for any of queries performed in the search criteria. The user can click the Closed Document button to page through the results.
How to set | IDM Configure [image] Additional Preferences [image] Searching [image] Results
Applies to | IDM Desktop Web server IS libraries
Possible values | No (default) Yes
Takes effect | After starting IDM Find.
API | Yes. Can be overridden by API call.
Exportable | Yes


 "Find More" count

Preference | "Find More" count
Description | Specifies the number of documents retrieved when the Enable Find More button is set to yes (enabled). The user clicks the Find More button to retrieve more documents. See also Advanced and Simple Find maximum results .
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Searching [image] Results
Applies to | IDM Desktop Web server CS libraries IS libraries
Possible values | 25 to 10,000 The default is 100
Takes effect | After starting IDM Find.
API | Yes. Can be overridden by API call.
Exportable | Yes


 Advanced and Simple Find maximum results

Preference | Advanced and Simple Find maximum results
Description | Sets the default for the maximum number of search results in Advanced and Simple Find.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Searching [image] Results
Applies to | IDM Desktop Web server CS libraries IS libraries
Possible values | 1 to 10,000 The default is 100.
Takes effect | After starting IDM Find.
API | Yes. Can be overridden by API call.
Exportable | Yes


 Document Options

Preference | Document options
Description | Specifies the default selection for Document Options in the Publishing Wizard. This preference applies only if the document has been published at least once.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Add a new version to published document (default) Replace a published document
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Allow changes to "Document Options"

Preference | Allow changes to "Document options"
Description | Allows the user to change Document options in the Publishing Wizard. This preference applies only if the document has been published at least once.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Security for new published documents

Preference | Security for new published documents
Description | Sets the default security for published documents. The Use folder setting applies the access rights of the folder. If the published document is not filed in a folder, then the library default applies. The Use source document setting applies the access rights of the source document. The Use library default setting applies the default security configured on CS for adding new documents.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Use folder Use source document (default) Use library default
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Delete published document if source is deleted

Preference | Show the option "Automatically deleted when source is deleted" in the Publish wizard, which enables the user to select if the Published Document is required to be deleted automatically, whenever the source document is deleted.
Description | Delete the published document if the source document is deleted. If not checked, the published document is not removed when the source document is deleted. To display a prompt allowing the user to choose each time a source document is being deleted, enbale the Show "Delete published document if source is deleted" preference.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Show "Delete published document if source is deleted"

Preference | Show the option "Automatically deleted when source is deleted" in the Publish wizard, which enables the user to select if the Published Document is required to be deleted automatically, whenever the source document is deleted.
Description | Displays a prompt allowing the user to choose whether to delete the published document when the source document being deleted.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Inherit source document properties

Preference | Properties for new published documents
Description | When enabled, a published document inherits its properties from the source document (only the properties included in the document class of the source document).
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Publish to folder

Preference | Publish to folder
Description | Specifies the default folder where new published documents are to be filed.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] <ds library name>
Applies to | IDM Desktop CS libraries
Possible values | A valid folder. There is no default.
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Edit the file extension associations

Preference | Edit the file extension associations
Description | Lets you associate file extensions with applications. This affects only the behavior of the IDM View option on the shortcut menu of an IBM FileNet library document or image. See below for more information.
How to set | IDM Configure [image] Additional Preferences [image] Viewing [image] Alternate viewers
Applies to | IDM Desktop Web server CS libraries IS libraries
Possible values | Any valid filename extension. There is no default for this preference.
Takes effect | Immediately
API | No
Exportable | Yes

By default, when you open an IBM FileNet library document or image using the IDM View option on the shortcut menu (right-click on a library document or image), IDM View opens, then displays the document or image. (If you select Open from the shortcut menu, the file opens in its registered application.)

This preference gives you the ability to specify an application, other than IDM View, in which to open a file (from the IDM View shortcut menu) by associating a file extension with an application. For example, you can configure this preference to open a .bmp file in PaintShop Pro instead of IDM View. You can also specify that a file type be opened in its registered application instead of IDM View.

For a diagram of how IDM Desktop opens and displays files, see Viewer rendering logic.
For this preference to work correctly, the specified application must be installed on the computer on which the preference is set (if you are importing preferences from another computer, the current computer may not have a specified application installed).

Related topics
Add a new file extension association
Select a file extension
Edit a file extension association
Remove a file extension association


 Window style

Preference | Window style
Description | Allows you to select one of the following window styles: Multiple viewer windows - Each document appears in a separate Viewer window. All windows are controlled by a single instance of the Viewer. This is a Multiple Top-level Interface (MTI). Single viewer window - Each document appears in a child window contained by the main Viewer window. This is a Multiple Document Interface (MDI).
How to set | IDM Configure [image] Additional Preferences [image] Viewing [image] Viewer
Applies to | IDM Desktop Web server IS libraries CS libraries
Possible values | Multiple Viewer windows (MTI) Single Viewer window (MDI) (default)
Takes effect | Immediately
API | No
Exportable | Yes

Note: Web clients use MDI only.


 Service

Preference | Service
Description | The two-part name that identifies the library and server.
How to set | This preference appears after you add a library. It is displayed here for information only. It can be changed only by editing the library (from IDM Configure, select the library name and click Edit).
Applies to | IDM Desktop Web server Web client CS libraries (in the form library^property server IS libraries (in the form library.organization)
Possible values | None. This preference is configured when the library is added. See the description above.
Takes effect | Not applicable.
API | No
Exportable | Yes


 System type

Preference | System type
Description | The library server type; in this case, Image Services.
How to set | This preference appears after you add a library. It is displayed in the IDM Preferences for information only.
Applies to | IDM Desktop Web server IS libraries CS libraries
Possible values | None
Takes effect | Not applicable.
API | Yes. Cannot be overridden by API call.
Exportable | Yes


 Use operating system credentials for logon

Preference | Use operating system credentials for logon
Description | Allows the user to bypass the library logon dialog by using the Windows logon name and password. See below for more information.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <IS library name>
Applies to | IDM Desktop Web server Web client IS libraries CS libraries
Possible values | No (default) Yes
Takes effect | After rebooting.
API | Yes. Can be overridden by API call.
Exportable | No

For an IS library, autologon occurs when:
  • This preference is set to Yes for the library.
  • The IS library configuration has autologon enabled.
  • For IBM FileNet IDM Web Services, the Web administrator has configured the Web server for unified logon.
  • The user’s Windows user name and password match the IS library’s user name and password.
See also
Authentication


 Alternate IS page cache

Preference | Alternate IS page cache
Description | The three-part name of a library server’s page cache. See below for more information.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <IS library name>
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Three-part cache name. To use the default page cache, leave this preference empty.
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes

When you retrieve a document from an IS library, the software first looks in local cache for the document, then in the default page cache (usually located on the same server as the IS library), and finally on optical disk. You use this setting to define a server cache that is an alternate to the default page cache.

For example, when the default page cache is used for ad hoc document retrievals, batched document entry retrievals, and prefetches, lower priority prefetches might age out of cache before they are viewed. For this situation, you could create an alternate IS page cache that is dedicated to prefetching. You would need to create an application to manage prefetching on this cache.

By default, the alternate IS page cache is located on the same server as the IS library. However, you might want to locate the alternate server cache to a different server. For example, if your IS library is on a server in Dallas and your users are retrieving documents at workstations in Portland, you could define an alternate IS cache on a Portland server. You could then create an application to prefetch the necessary IS documents from the Dallas server to the cache on the Portland server overnight to be ready for users the next day.

For the alternate IS page cache setting to work when it is on a different server than the IS library, each user must have accounts on both servers—the one that contains the alternate cache and the one that contains the IS library.

To illustrate how these accounts must be named, let’s continue with example above. Assume that the Dallas server that contains the IS library is called dallas. The Portland server that contains the alternate cache is called portland. Each user normally has an account on dallas that is called user:dallas:organization. To access the alternate cache for dallas on the Portland server, each user must have an account on portland that is called user:dallas:organization. The domain name in the account on portland must be dallas in order for the user to use this account to access the alternate server cache. The user name and password must be the same on both systems.


 User credential cache timeout

Preference | User credential cache timeout (minutes)
Description | Defines the number of minutes (approximately) that a session is maintained on an IS server without user activity. This applies only to logons with idmLogonOptServerNoUI. See the additional information below.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <IS library name>
Applies to | IDM Desktop Web server IS libraries
Possible values | From 1 to 1440 minutes. The default is 10 minutes.
Takes effect | Reboot before a change takes effect.
API | No
Exportable | Yes

The UserCredentialCacheTimeout preference applies to IS libraries when accessed from IBM FileNet automation objects.

The preference specifies the approximate number of minutes to maintain an inactive user's logon. This applies only to logons established programmatically using the Logon method of the Library object and the idmLogonOptServerNoUI option. Before a timeout, a logon uses cached (pooled) credentials. When the timeout occurs, the logon expires and the cached credentials are released. The default timeout is 10 minutes.

This preference is configured per IS library using the IDM Configure program. It will not appear for libraries added before the fix pack was installed; you must remove and then re-add these libraries. The preference will appear in the preference list for any IS libraries added after the fix pack was installed. It applies to all users who log onto the workstation on which it is set, and cannot be configured only for the current user.

IBM FileNet API Logon Modes

The IBM FileNet Application Program Interface (API) supports three logon modes: Desktop mode, Web mode, and Server mode. Server mode is for sites that use IBM FileNet objects in a server environment such as the Microsoft Transaction Server.

Desktop mode

Desktop mode is the default mode. With this mode:
  • The developer is limited to one IS user per IS system.
  • The IBM FileNet objects share logons to a library across processes. An object will automatically attach to an existing logon, which means that it isn't always necessary to pass a user name and password.
  • The library is logged off either when the custom application releases it, or automatically when there are no remaining references to it; custom applications don't have to explicitly call the logoff method.
  • Here is an example of one way of logging on when using the Desktop mode:

Dim oLib as New IdmObjects.Library

oLib.SystemType = idmSysTypeIS

oLib.Name = "DomainName:ServerName"

If not lib.GetState(idmLibraryLoggedOn) then

oLibrary.Logon "","","", idmLogonOptWithUI 'Prompt for UI

End if

' Use library as needed

Web Mode
IBM FileNet Web Services Services uses Web mode. With Web mode:
  • IBM FileNet allows more than one user per IS system.
  • IBM FileNet objects do not attach to existing logons.
  • To allow a user to remain logged on across multiple accesses to Web server pages, Web mode provides a logon ID that can be used to log a user back in to a library without supplying a user name or password.
Web mode places two additional requirements on the developer:
  • A SessionManager object must be instantiated for at least as long as the logons (to hold the logon state).
  • Logoff must be explicitly called (because the logons are held in case of another web page hit). Each logon uses an IS SLU.
Server Mode

Server mode is for those using IBM FileNet in server environments such as Microsoft Transaction Server (MTS). Like Web mode, Server mode allows more than one user per IS library, but unlike Web mode, the developer is not required to hold a SessionManager object in memory. Nor does it require explicit logoff.

Because of the programming model imposed by MTS, the components that use IBM FileNet objects exist only for the lifetime of a single transaction. As a result, there is no convenient location to store a long-lived SessionManager object. Hence the need for Server mode.

The custom application must create the SessionManager when using this mode.

Server mode adds a new idmLibraryLogon enumeration, idmLogonOptServerNoUI, to the API. Logging on with this flag will not attach to any other logons, and the library will be logged out automatically after the user credential timeout expires (see User Credential Timeout Preference below).
Here is an example using the new idmLibraryLogon enumeration:

Dim oLib as New IdmObjects.Library

oLib.SystemType = idmSysTypeIS

oLib.Name = "DomainName:ServerName"

oLibrary.Logon "UserName", "Password". "",idmLogonOptServerNoUI

'Use library as needed

Server mode logons minimize calls to IDMIS security services, since an RPC to security services does not occur when the same user attempts to logon to an IS library two or more times. Credentials are retained for the amount of time specified in the User Credential Timeout preference to avoid RPCs, even if a user is logged onto only one library.


 Maximum number of IS folders to display

Preference | Maximum number of IS folders to display
Description | Defines the maximum number of IS folders or subfolders to display. See the additional information below.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <IS library name>
Applies to | IDM Desktop Web server IS libraries
Possible values | From 0 to 1,999,999,999. From 0 to 5000.
Takes effect | Immediately.
API | No
Exportable | Yes

If a library has a large number of folders and subfolders and your system is slowing or running out of resources, you may want to preserve system resources by limiting the maximum number of folders and subfolders that can be displayed. If you specify a maximum number, a warning message is displayed when this number has been reached.

This preference is set on a per-library basis. The "Set default preferences for new users" option must be selected in the main IDM Configure window for this preference to take effect.


 System type
Preference | System type
Description | The library server type; in this case, Content Services. This preference is configured when the library is added. It is displayed in Preferences for information only.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Desktop Web server Web client IS libraries CS libraries
Possible values | None.
Takes effect | Not applicable.
API | No
Exportable | Yes


 Use operating system credentials for logon

Preference | Use operating system credentials for logon
Description | Allows a user to logon to a library using the Windows logon name and password. See below for an expanded description.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Desktop Web server CS libraries
Possible values | No (default) Yes
Takes effect | Not applicable.
API | Yes. Can be overridden by API call.
Exportable | No

You can automate autologon to CS libraries so that it is not necessary for users to enter a user name and password to access a library. This preference is set on a per-library basis.
CS administrators must enable automatic logon on the library and, for IBM FileNet IDM Web Services, the Web administrator must set up unified logon for this preference to take effect.

CAUTION

When logging on to CS libraries, the server doesn’t check the password. Users will be logged on automatically if all of the following are true:

This preference is set to Yes.

The Windows user name matches a library user name.

Autologon is configured on the server.

To define users’ Network Logon Names in their User objects, a CS system administrator must use the CS Admin Tool. For information, refer to the CS Administrator’s help.

See also
Authentication


 Show Select Group dialog during logon

Preference | Show Select Group dialog during logon
Description | Enables or Disables the display of the Select Group dialog box during logon, to allow a user to choose a group for the session.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Desktop CS libraries
Possible values | No (default) Yes
Takes effect | Next logon
API | Yes. Cannot be overridden by API call.
Exportable | Yes


 Alternate default logon group

Preference | Alternate default logon group
Description | Allows you to specify an alternate default logon group. This overrides the default logon group specified in the user’s profile unless the user chooses a group from the Select Group dialog.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Desktop Web server CS libraries
Possible values | A text string with a maximum of 32 characters. No default.
Takes effect | Next logon
API | No
Exportable | Yes


 Enable direct document access

Preference | Enable direct document access
Description | Allows a user to view a document without first downloading it into local cache. For Web clients, bypasses Web server cache for viewing, copying, and checkout. See below for more information.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Desktop CS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes

When a user opens or views a file on a CS library, the software creates a copy of the file in the user's local cache and opens the copy. Enabling direct document access enhances performance by displaying a file directly from a CS library, bypassing the local cache.

For IDM Desktop, this preference works for opening and viewing documents, but not for checkouts or compound documents. For a Web client, this setting bypasses cache for viewing, copying, and checkouts.

Notes
Enabling this preference removes library level security. This may violate security policies at some sites.
Setting up direct document access on a CS library
In addition to setting this preference, the CS system administrator must also:
  • Use the CS Admin tool to enable direct document access on the CS library.
  • Set up a shared path with read access to the library for the appropriate users.
For more details and instructions, see "Setting up Direct Document Access" in the CS library documentation.
Configuring the Web server for direct document access
By default, IIS uses a local NT user it creates, called IUSR <Webservername>. This user does not belong to any groups or domains, and does not have access to the share on a CS library. To get around this, do the following:
  1. Launch the IIS Management Console (Click Start, Run, then type mmc).
  2. Right-click Default Web Site and select Properties.
  3. Select the Directory Security tab.
  4. Click the Edit button under Anonymous Access and Authentication Control.
  5. On the Authentication Methods dialog, verify that Allow Anonymous Access is checked, then click Edit.
  6. In the Anonymous User Account dialog, enter the username and password of the person for whom you are enabling Direct Document Access.
  7. Click OK, then reboot the Web server.
Testing the preference
To see whether direct document access is working, open a CS document. Then view the cache file by navigating to FileNet\IDM\Cache. If the document that you opened is not in the Cache folder, direct document access is working properly. Note that there may be other documents in the cache, such as compound documents or checked out documents. To view the file name of a cached document, click on the document ID folder.


 Show toolbar

Preference | Show toolbar
Description | Shows the IBM FileNet toolbar in Microsoft Word.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries IS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Show document status in title bar

Preference | Show document status in title bar
Description | Displays the open document’s copy or checkout status in the Microsoft Word title bar.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before add

Preference | Prompt to save file before add
Description | Prompts to save the file locally before adding to the library. If the preference is not enabled, the file is automatically saved to its current location before it is added to the library.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries IS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before checkin

Preference | Prompt to save file before checkin
Description | Prompts to save the file locally before checkin. If the preference is not enabled, the file is automatically saved to its current location before it is checked in to the library.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Print document when add or checkin

Preference | Print document when add or checkin
Description | Prints any document added or checked in from Microsoft Word.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Update inserted IBM FileNet properties before checkin

Preference | Update inserted IBM FileNet properties before checkin
Description | Updates the inserted IBM FileNet document properties prior to checking in a Microsoft Word document.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Update inserted IBM FileNet properties after checkout

Preference | Update inserted IBM FileNet properties after checkout
Description | After checking out a Microsoft Word document, updates the inserted IBM FileNet document properties.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


Upgrade inserted FileNet properties

 Upgrade inserted IBM FileNet properties

Preference | Upgrade inserted IBM FileNet properties after checkout
Description | Converts SDM-style embedded properties to Panagon-style inserted IBM FileNet document properties when opening documents in Microsoft Word.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


Update menu and toolbar

Preference | Update menu and toolbar
Description | When set to yes, disables IBM FileNet menu options and toolbar buttons that are invalid for the selected or open document.
How to set | For Word, IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word For Excel, IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel For PowerPoint, IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft PowerPoint
Applies to | IDM Desktop Web Services CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes

Setting this preference to No enables all menu options regardless of the document state. This reduces traffic between the client workstation and the server. However, errors occur if a user attempts an invalid operation such as trying to check out a document that is already checked out.


Convert Word 6.0/95 to current Word format

Preference | Convert Word 6.0/95 to current Word format
Description | Converts a Word document to the installed version’s format on checkin.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop Web Services CS libraries
Possible values | Yes No
Takes effect | Immediately
API | No
Exportable | Yes


 Show toolbar

Preference | Show toolbar
Description | Shows the IBM FileNet toolbar in Microsoft Excel.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries IS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Show document status in title bar

Preference | Show document status in title bar
Description | Displays an open document’s copy or checkout status in the Microsoft Excel title bar.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before add

Preference | Prompt to save file before add
Description | Prompts you to save the file locally before adding it to the library. If the preference is not enabled, the file is automatically saved to its current location before it is added.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop IS libraries CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before checkin

Preference | Prompt to save file before checkin
Description | Prompts to save the file locally before checkin. If the preference is not enabled, the file is automatically saved to its current location before being checked in.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Print document when add or checkin

Preference | Print document when add or checkin
Description | Print any document added or checked in from Microsoft Excel.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Update inserted IBM FileNet properties before checkin

Preference | Update inserted IBM FileNet properties before checkin
Description | Updates inserted IBM FileNet properties prior to checking in a Microsoft Excel document.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Update inserted IBM FileNet properties after checkout

Preference | Update inserted IBM FileNet properties after checkout
Description | After checking out a Microsoft Excel document, updates inserted IBM FileNet properties.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


Upgrade inserted FileNet properties

 Upgrade inserted IBM FileNet properties

Preference | Upgrade inserted IBM FileNet properties after checkout
Description | Converts SDM-style embedded properties to IBM FileNet properties when opening a spreadsheet in Microsoft Excel.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Show toolbar

Preference | Show toolbar
Description | Shows the IBM FileNet toolbar in Microsoft PowerPoint.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft PowerPoint
Applies to | IDM Desktop CS libraries IS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before add

Preference | Prompt to save file before add
Description | Prompts to save the file locally before adding to the library. If the preference is not enabled, the file is automatically saved to its current location before being added to the library.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft PowerPoint
Applies to | IDM Desktop IS libraries CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before checkin

Preference | Prompt to save file before checkin
Description | Prompts to save the file locally before checkin. If the preference is not enabled, the file is automatically saved to its current location before being checked in.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft PowerPoint
Applies to | IDM Desktop CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Message format

Preference | Message format
Description | Defines the default message format for messages added to a library.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Outlook
Applies to | IDM Desktop IS libraries CS libraries
Possible values | Message (default) Rich text Text
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before add

Preference | Prompt to save file before add
Description | Prompts to save the file locally before adding to the library. If the preference is not enabled, the file is automatically saved to its current location before being added to the library.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Outlook
Applies to | IDM Desktop IS libraries CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


 Enable automatic update

Preference | Enable automatic update
Description | When enabled, automatically updates the print/fax job display. See also Time for update (in seconds) and Maximum number of jobs displayed .
How to set | IDM Configure [image] Additional Preferences [image] IS Print/Fax Monitor
Applies to | IDM Desktop Web server IS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


 Time for update (in seconds)

Preference | Time for update (in seconds)
Description | Sets the time interval, in seconds, between automatic updates. Automatic update must first be enabled.
How to set | IDM Configure [image] Additional Preferences [image] IS Print/Fax Monitor
Applies to | IDM Desktop Web server CS libraries
Possible values | 10 - to - 32,767 seconds The default is 60 (seconds)
Takes effect | Immediately
API | No
Exportable | Yes


 Maximum number of jobs displayed
Preference | Maximum number of jobs displayed
Description | Sets the maximum number of print/fax jobs displayed.
How to set | IDM Configure [image] Additional Preferences [image] IS Print/Fax Monitor
Applies to | IDM Desktop Web server CS libraries
Possible values | From 1 to 32,767 jobs The default is 100 (jobs)
Takes effect | Immediately
API | No
Exportable | Yes


 Administrative applications for IDM Desktop

IDM Desktop provides the following administrative applications:
IDM Configure overview

You use IDM Configure to define libraries and set IDM Desktop user preferences.

Trace logging

You use the IDM Trace application to debug custom IDM applications. You can view the output of a trace dynamically using the Log Spy and view a recorded log with the Log Spy program.

IDM Desktop also provides the following administrative and troubleshooting utilities in the IDM installation directory:

Msg.exe, a DOS program that displays the message text for Image Services native error codes. To run Msg.exe, from the DOS prompt type: msg error code

Npver.exe, a Windows program you can use to list the versions of IDM Desktop program (exe, ocx, and dll) files. You can use Npver to identify file versions when reporting problems to your service representative.

Pagehdr.exe, a DOS program that displays internal information about the structure of image files. For example, for TIFF files, Pagehdr shows values for ImageWidth, ImageLength, BitsPerSample, and other data. You can use Pagehdr to examine the structure of image files in which the data is corrupted. To run Pagehdr.exe, from the DOS prompt type: pagehdr image filename


User accounts, passwords, and logons

Authentication

Authentication takes place at logon time. By default, a user must log on to each library. Autologon is supported for both IS and CS libraries.

Autologon to IS libraries

You can set up autologon for IDM Desktop users by enabling the IS library preference Use operating system credentials for logon . If the IS library administrator has enabled autologon, and if the user’s Windows credentials match the user name and password on the IS library, the user is connected to the library without logging on. (This is also called network logon and unified logon.)

For more information on IS Security Administration, see the "IBM FileNet Image Services System Administrator’s Handbook."

Autologon to CS libraries

For CS libraries, you use the CS System Administration Tools to define users and groups. For information on the CS System Administration Tools, see the online help that accompanies the software and the "Content Services Administrator’s Guide."

Preferences that affect CS users at logon time

Use operating system credentials for logon

Logons to CS libraries can be automated so that it is not necessary to enter a user name and password each time a user accesses a library.

To use automated logon, the Use operating system credentials for logon preference in the IDM Configure application must be set to Yes. Users are then automatically logged on to a CS library, using the Network Login Name, when access is attempted. The password is not checked.

To define users’ Network Login Names in their User objects, a CS system administrator must use CS Explorer. For information about the CS Explorer tool, refer to its online help.

Show Select Group dialog

If enabled, the Show Select Group dialog during logon preference causes a dialog to display during logon to a CS library, allowing the user to choose a group that will be the active group for the session.

Alternate default logon group

The Alternate default logon group preference allows a CS user to specify an alternate logon group. This overrides the default logon group specified in the user’s profile unless the user chooses a group from the Select Group dialog.


 About Microsoft Word macros

Application integration for Microsoft Word is accomplished through signed macros contained in a Word template (a .dot file). Because they are signed, the macros run at any macro security level.


 Hide or display menus in IDM Viewer

You can configure the IDM Viewer to show or hide menus and menu commands. To configure menus, select Customize from IDM Viewer’s Tools menu.

If you hide the Tools menu or Customize command, users will not be able to use these options to restore hidden menus or commands. However, users can display the Customization dialog by typing CTRL-t.


 Display PDF files

Users may wish to install Adobe Acrobat Reader to improve display of PDF documents. If the reader is installed, it runs as an IDM Viewer plug-in. Users can download the free reader from Adobe.


 Add a new file extension association

To add a file extension association
  1. Start IDM Configure and navigate to the Edit the file extension associations preference: Additional Preferences, Viewing [image] Alternate Viewers, and click Edit file extension associations.
  2. Click New.
  3. Enter the extension in the Extension field. Include the leading period.
  4. Specify how the file is to be opened:

  1. To open the file type in its registered application, click Registered application.

  2. To open the file type in an application other than IDM View or its registered application, click This application. You have two options for specifying the application:

  • Click the Browse button, navigate to the application, and select it.

  • Or, in the Name field, enter the full path and filename of the application executable, or the filename of the executable with or without its extension. If you do not enter the full path and extension, when you open the application, the system will attempt to find the application in the current directory, then the path defined in the environment variable path.

Parameters: You can optionally specify command line parameters to pass to the application when it opens. For example, to print a PDF file when it opens in the Acrobat Reader, enter the /P parameter. Make sure that the parameters you specify are compatible with the application.

  5. Click OK and exit IDM Configure.
See also
Edit the file extension associations
Select a file extension
Edit a file extension association
Remove a file extension association


Select a file extension

A file extension association must be added before you can select it. You can associate a file extension with more than one application, but only one can be selected at a time.

To select a file extension association
  1. Start IDM Configure, navigate to the Edit the file extension associations preference and click on it: Start> IDM Configure> Additional Preferences> Viewing> Alternate Viewers> Edit file extension associations.
  2. Select the file extension that you wish to use.
  3. Click OK and exit IDM Configure.
See also
Edit the file extension associations
Add a new file extension association
Edit a file extension association
Remove a file extension association


Edit a file extension association

If you have associated a file extension with an application, you can change it by editing the file extension or associating the file extension with a different application.

To edit an existing file extension association
  1. Start IDM Configure, navigate to the Edit the file extension associations preference and click on it: Start> IDM Configure> Additional Preferences> Viewing> Alternate Viewers> Edit file extension associations.
  2. Select the file extension that you wish to change.
  3. Click Edit.
  4. From the Edit File Extension dialog, make your changes.
  5. Click OK and exit IDM Configure.
See also
Edit the file extension associations
Add a new file extension association
Select a file extension
Remove a file extension association


 Remove a file extension association

The Restore Default button and the Restore All Defaults on the IDM Preferences dialog do not remove or restore configured file extension associations. Use the instructions below to remove any configured file extension associations.

To remove a file extension association
  1. Start IDM Configure, navigate to the Edit the file extension associations preference and click on it: Start> IDM Configure> Additional Preferences> Viewing> Alternate Viewers> Edit file extension associations.
  2. Select the file extension that you wish to change.
  3. Click Remove.
  4. Click OK and exit Configure.
See also
Add a new file extension association
Select a file extension
Edit the file extension associations
Remove a file extension association


 Administrative applications for IS libraries

Tools for administering Image Services libraries include the Security Administration application, which you use to define users and groups, and the Database Maintenance application, which you use to create and maintain document classes and properties. These and other applications for administering the IS library run on the IS library server. For information on IS library applications, see the "IBM FileNet Image Services System Administrator’s Handbook."


 Disable NCH broadcasts

To disable broadcasts to Image Services servers

  1. Start the Windows Registry editor.

  2. Navigate to HKEY_LOCAL_MACHINE> SOFTWARE>FileNet> WAL> CurrentVersion.

  3. From the Edit menu, select New, DWORD Value.

  4. Type NCHBroadcast in the Name field.
    Leave the DWORD value 0.

  5. Close the registry to save your changes.

Note
If you disable broadcasts to Image Services libraries by making this registry change, you must add alias entries for all Image Services libraries to a local or enterprise-level hosts table. See Improve logon times on networks with routers for details.


 Create a hosts file with alias entries for servers

When Image Services users need to access libraries across routers on networks where broadcasts are disabled, you can make this access possible by creating alias entries for the IS libraries in a local hosts file.
Content Services users need to access CS libraries through TCP/IP, and this access can also be enabled through alias entries in a local hosts file.

The best place to define these aliases, however, is at the enterprise level, such as in the Domain Name Service, so that all users get the change automatically. For instructions on setting aliases for servers at the enterprise level, see the IBM FileNet Image Services System Administrator’s Companion for your platform (Windows or Unix) . Use the Find command to search for "NCH broadcasts."

For instructions on creating a hosts file on a client workstation, see the procedure below.

Note
If logons across routers are succeeding, either broadcasts are being propagated through routers or the alias entry already exists in a local hosts file or in the enterprise name service. It is more likely that the entry already exists at the enterprise or local level than that broadcasts are being propagated through routers. Before creating an alias entry in a local hosts file, confirm that this entry does not already exist on your network.

To create alias entries for IP host names
  1. Make sure that the alias entry doesn’t already exist in the enterprise name service by using the ping command from a DOS prompt. For example, type:

ping ace1-ibmfilenet-nch-server

This will identify an alias entry for a library named ace_1:FileNet. Use the name format described under step 3.

  2. Locate a file named hosts in the Windows folder. If you find such a file, open it with Notepad or any ASCII editor. If you don’t find a hosts file, create a new file with your editor.
  3. In the hosts file, make entries in the following format for each IBM FileNet library that you need to connect to:

<IP address of domain:organization> <domain-organization>-nch-server

where:

<IP address of domain:organization> is the IP address of the IBM FileNet domain and organization identifying the target IBM FileNet library system.

<domain-organization> is that domain and organization name. When entering the domain-organization name, follow these rules:

Eliminate all characters except ASCII alphanumeric characters and hyphens.

Convert all upper case characters to lower case.

Insert a hyphen between the domain and organization names.

Append "nch-server" as a literal.

For example, a FileNet library has a domain "ace_1" and organization "FileNet." Its IP address is 123.45.6.78. For this system, the hosts file entry is:

123.45.6.78 ace1-ibmfilenet-nch-server

Note that the underscore character has been removed from the "ace_1" domain name and the F and N in the "FileNet" organization name have been converted to lower case.

For a CS server running an Oracle database, the system name is case-sensitive.

After making your entries, save the file with the name hosts and no extension. If you are using Windows Notepad to edit the file, it automatically adds the txt extension. In this case, rename the file in Windows Explorer after saving it.

  4. Use the ping command from a DOS prompt to make sure that the aliases that you created are being used and point to the correct server. For example, to identify an alias entry for the server named ace_1:FileNet, you would type:

ping ace1-ibmfilenet-nch-server


 Use local and server caches

When a user asks to display a page of a document from an IDM Image Services library on a PC, the IBM FileNet system first copies the page from optical disk to the IBM FileNet server’s page cache and then to the PC cache. This is called fetching. Prefetching means to fetch a page before the user even asks for it.

Page-ahead prefetching occurs when the next page in a document’s sequence is automatically prefetched for a user. For example, if a user selects page x of a document, the IBM FileNet system automatically prefetches and caches page x+1. Page-ahead prefetching is only available for Content Services libraries.

You specify the cache location, cache size, and prefetch options as preferences under Directories and Files [image] Local Caching, and Directories and Files [image] Prefetching in IDM Configure .


Report Manager integration

IDM Desktop is integrated with Report Manager 4.1/5.0. IDM Desktop users can retrieve and display cross-cataloged Report Manager documents. The Report Manager administrator decides which documents to cross-catalog and how to associate Report Manager data with document properties in the IS library.

Cross-cataloging inserts Report Manager document data into the library’s property database. Cross-cataloging then runs continuously to synchronize the Report Manager and library databases. The documents themselves stay in their storage location on the Report Manager server or on optical disks.

The table below summarizes the IDM Desktop capabilities and requirements for working with the three types of Report Manager documents.

Viewing Report Manager reports and statements

Using IDM Desktop, Report Manager reports and statements (PDF documents) are displayed in the IDM Viewer using the plug-in capabilities of Adobe Acrobat. The IDM Desktop user must install a full Adobe Acrobat environment; the free Acrobat Reader is not sufficient. Specifically, the user must install one of the following:
  • IBM FileNet Report Manager Statement Administrator
  • Adobe Acrobat Business Tools 4.05a
  • Adobe Acrobat 6.x
Adobe Acrobat 6.x is recommended.

Searching Report Manager text-type documents

IDM Desktop users can search for text in the first 10,000 pages of an indexed, text-type Report Manager report using the IDM Viewer’s Edit/Find command.

Magnifying text in Report Manager documents

The Magnifier enlarges selected text in a Report Manager document 200 percent. The accuracy of the results depends on the fonts and font sizes installed on the user’s computer. If Windows cannot find the exact font, the magnified area may not exactly match the user’s selection. If the document has a bitmap (overlay), the bitmap will scale precisely to 200 percent but the font might not.

Having a large selection of fonts may alleviate magnification problems.


 Administrative applications for CS libraries

Tools for administering Content Services libraries are described below.

CS System Administration Tools

For CS libraries, you use the CS System Administration Tools to define users, groups, the various repositories, custom properties, system default settings, and system security.

The CS System Administration Tools also enable and configure Replication Services. You can add and configure folders in either CS System Administration Tools or IDM Desktop; however, you must use IDM Desktop to perform document-related tasks (e.g., add, find, check out, check in, cancel a checkout, etc.). To make this easier, the Find IBM FileNet Documents command in the CS System Administration Tools starts IDM Desktop Find.

For information about the CS System Administration Tools, see the online help that accompanies the software and the CS Administrator’s Guide.

Document Class and CVL Administration

You use the Document Class and CVL Administration tool to create and maintain document classes and property selection lists. For information on the Document Class and CVL Administration tool, see the online help that accompanies the software and the CS Administrator's Guide.

Replication Administration

Replication Services is an optional CS server feature that automatically copies documents and folders and their properties to specific library systems. For more information on setting up and administering Replication Services, refer to the CS server documentation on the System Administration Tool CD.


 CS library changes

If the CS system administrator changes the Min Item Delete Access variable or modifies a Document class, users must log off and log back on to the library before the library change takes effect.


 Synchronize checkout lists

Users should check out and subsequently check in documents (or cancel their checkouts) from the same workstation. If an administrator cancels a user's checkin from another workstation, or a user checks out a document on one workstation then checks in the document from another workstation, the user's workstation checkout list will be out-of-synch with the library's, and the user will need to synchronize his or her checkout list as follows:

  • If a user cancels a checkout from a workstation other than the workstation where the document was checked out, the user must attempt to check in the file from the workstation where the document was checked out. After displaying a notice that the file is not checked out, the software will update the workstation's checkout list.

  • If a user deletes a checked-out file, cancel the checkout.

  • If you cannot synchronize a local checkout list with the library's checkout status using the above remedies, contact your service representative.


 File registration failure

If a file or files fail to register after installation, a dialog will display and list the file or files that did not register. The Setup log file will also list these files and provide more information about the failure under "IDM Desktop post reboot registration results". The text in the left margin will read "Failed" or "Load Failed". To the right, the full path and filename, error text, and possibly an error number will display.

Should this happen, contact your service representative to report the problem .
Usually, rebooting will not fix the problem. You can attempt to manually register the file(s) using regsvr32.exe (included with Windows):
  1. Open a DOS window.
  2. Change to the directory where the file in question is located (find this information in the Setup log file). For example:

Cd Program Files\IBM\IDM

  3. Type regsvr32.exe filename.extension where filename.extension is the name of the file that did not register.

Regsrv32.exe displays a dialog stating whether it succeeded or failed to register the file (plus other information).

Registered file list

Setup creates a text file, idmDsktpRegFiles.txt, that lists all files that need to be registered after rebooting. It is located in the installation folder (the default is C:\Program Files\IBM\IDM).


 fnsysmgr.exe remains in memory

The IDM process fnsysmgr.exe is running at all times. Fnsysmgr.exe cleans up both IS and CS logon sessions when the system shuts down.


 Slow response times on networks with routers

When IDM runs in a network environment with routers, users may experience slow response times when they attempt to log on to Image Services libraries across routers. Network Clearinghouse (NCH) first attempts to find the server by broadcasting to it. Since broadcast packets usually cannot cross routers, this broadcast attempt fails after 30-40 seconds. NCH then typically looks up the server in the Domain Name Service (DNS), and the logon completes successfully.
To resolve the problem of slow response times on logon, you need to:

  • Disable NCH broadcasting.

  • Create an alias entry for the IP host name in an enterprise-wide service or a local hosts file.

If you want to disable broadcasting and create the alias entries for hosts at the enterprise level—for example, in the Domain Name Service—see the "IBM FileNet Image Services System Administrator’s Companion" for your platform.
To disable broadcasting and set up the hosts file on a client workstation, see the following topics:
Disable NCH broadcasts
Create a hosts file with alias entries for servers


 Application integration

If you attempt to install application integration for an application installed in whole or in part on a remote network drive or on a CD, the installation will fail but may not report an error. The entire application must be installed locally for application integration to function.


 OLE link failure in compound documents

To detect OLE links in compound documents, the file’s native application must be installed on the workstation’s local hard drive. OLE links in documents created with Office 97 or later can be detected by the native application. Documents created with an older Office version must be updated to Office 7 or 2010 (or a later version) to detect OLE links.


 Session errors

The following error messages may appear.

Error: "This user has too many open sessions…"

Reason: The user or guest user is attempting to open more sessions than his or her configuration allows. You can configure more sessions using the Active requests per user or the Active requests per guest preference.


 Report problems to IBM

If you have a problem you cannot resolve, remote support is available to registered sites. Be prepared to answer the questions below. After opening a service call with your service representative, you may be asked to fax this information.
  • Your company name, the date, the site ID, and your name.
  • A complete description of the PC configuration.
  • A one-line summary of the problem; for example:

Can’t log on to networked system

  • A complete and specific description of the problem.
  • The frequency of the problem, the seriousness of the problem, and an alternative way to accomplish the task, if any.
  • Description of the screen and any error messages displayed on the PC or on the IBM FileNet system.
  • For a problem with a custom application, a code extract that reproduces the problem with the least amount of code. Print out and attach a copy of the code. (If program design is the problem, you will be referred to your system consultant.)
  • The client_log file. IDM Desktop communicates with an IS library via WAL calls. When a WAL error occurs, the software generates a WAL client log file, usually in <drive>:\fnsw\Client\Logs.
When you have completed your report, send it across to your service representative, if requested.


 I'm new to IDM Desktop. Where do I start?

You will need to consider the ways that users might use IDM Desktop to access and process documents. Some users may require access to both IS and CS libraries, and some only one or the other. There are many installation options and many customizations, called preferences that affect the appearance and behavior of the software.

Ways to install IDM Desktop:

  • From the CD or installer from ftp.

  • From a network drive.

  • With no user intervention (silent installation).

  • Using Microsoft’s System Management Server (SMS).

Options to select during installation:

  • Microsoft Office (Word, PowerPoint, Excel, and Outlook) application integration.

  • Find integration (puts " IBM FileNet documents" on the Windows Start> Find menu).

  • Explorer integration (puts the IBM FileNet Neighborhood icon on the desktop, puts an Add to IBM FileNet command on the shortcut menu for local files, and makes the IBM FileNet Neighborhood and IBM FileNet Entire Network available in any My Computer or Explorer view (IBM FileNet Neighborhood is just a special case)).

  • Support for access to IS and CS libraries.

  • Development files.

For additional information, see What Setup installs .
Once IDM Desktop is installed, each user can customize his or her own configuration at any time. Each user could even have multiple configurations by configuring multiple preference files .

Determine the Installation method
Click on the links below for an overview of each method.

  • New installation from CD ROM or ftp

  • Silent installation and upgrade

  • About SMS installations and upgrades

Obtain library information
For each IS library, you need:
  • The domain name and the organization name of each IS library
For each CS library, you need the library and host names.

Determine preferences
Preferences determine the appearance and behavior of IDM Desktop. Each computer has its own set of preferences. You can, however, create a set of preferences on one computer, export them to a preference (.fnp) file, then import them to other computers using the Configure application.

See the Preference Guide for complete information on user preferences.


I'm upgrading to the 4.0.3 release of IDM Desktop. Where do I start?

IDM Desktop 4.0.3 supports upgrades from any older versions. If you have a version of IDM Desktop earlier than 3.3 installed, you will need to uninstall it first. See Uninstall IDM Desktop and CS client libraries to find out how.

See also Upgrade to IDM Desktop 4.0.3


 What is the quickest way to install and configure IDM Desktop on multiple computers?

Here are some methods:
  • Preconfigure libraries and preferences. This involves installing and configuring IDM Desktop on a single computer, configuring libraries and other preferences, then exporting the preferences to a file.
Once you've created the preference file, install IDM Desktop on subsequent computers, then import the preferences from the file. To find out how to do this, see Preconfigure libraries and preferences .
  • Use Microsoft's System Management Server to install IDM Desktop to multiple networked computers. You can use SMS to distribute and install preference files as well. For information on using SMS, see About SMS installations and upgrades .


What customizations are available for IDM Desktop?

Customizations include:

  • Installation options, such as Microsoft application integration, Find integration, and Explorer integration. You choose these options when you install IDM Desktop.

  • User preferences, set with the IDM Configure application after IDM Desktop has been installed. See the Preference Guide for a list and a description of each preference.

  • Viewer customizations, such as defaults for toolbars, displaying annotations, etc, modified menus, and defining keyboard shortcuts.


What does the IDM Desktop documentation consist of?

The IDM Desktop documentation consists of the following help systems and support documents:
  • IDM Desktop Administrator’s Help (this help system)
  • IDM Desktop User’s Help
  • IDM Toolkit Help
  • Readme file and other support documents are posted on the IBM Web site


General Information

The general information topics include a glossary, information about IBM FileNet, trademark notices, the license agreement and about how to use the IDM Desktop documentation.

The table of contents in the left pane of each page includes a main heading with subtopics. Only one set of subtopics is exposed at any one time. Click a different main heading to see its subtopics.

The words in the color bar above jump to the same main topics shown in the table of contents.


Feedback

Your feedback helps us to provide quality information. Please send any comments that you have about this publication or other IBM FileNet IDM Desktop documentation.

How to send your comments

Send your comments by e-mail to comments@us.ibm.com. Be sure to include the name of the product, the version number of the product, and the name and part number of the book (if applicable). If you are commenting on specific text, include the location of the text (for example, a chapter and section title, a table number, a page number, or a help topic title).


Notices

This information was developed for products and services offered in the U.S.A.

IBM may not offer the products, services, or features discussed in this document in other countries. Consult your local IBM representative for information on the products and services currently available in your area. Any reference to an IBM product, program, or service is not intended to state or imply that only that IBM product, program, or service may be used. Any functionally equivalent product, program, or service that does not infringe any IBM intellectual property right may be used instead. However, it is the user's responsibility to evaluate and verify the operation of any non-IBM product, program, or service.

IBM may have patents or pending patent applications covering subject matter described in this document. The furnishing of this document does not grant you any license to these patents. You can send license inquiries, in writing, to:

IBM Director of Licensing

IBM Corporation

North Castle Drive

Armonk, NY 10504-1785

U.S.A.

For license inquiries regarding double-byte (DBCS) information, contact the IBM Intellectual Property Department in your country or send inquiries, in writing, to:

Intellectual Property Licensing

Legal and Intellectual Property Law

IBM Japan, Ltd.

3-2-12, Roppongi, Minato-ku, Tokyo 106-8711 Japan

The following paragraph does not apply to the United Kingdom or any other country where such provisions are inconsistent with local law: INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THIS PUBLICATION "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Some states do not allow disclaimer of express or implied warranties in certain transactions, therefore, this statement may not apply to you.

This information could include technical inaccuracies or typographical errors. Changes are periodically made to the information herein; these changes will be incorporated in new editions of the publication. IBM may make improvements and/or changes in the product(s) and/or the program(s) described in this publication at any time without notice.

Any references in this information to non-IBM Web sites are provided for convenience only and do not in any manner serve as an endorsement of those Web sites. The materials at those Web sites are not part of the materials for this IBM product and use of those Web sites is at your own risk.

IBM may use or distribute any of the information you supply in any way it believes appropriate without incurring any obligation to you.

Licensees of this program who wish to have information about it for the purpose of enabling: (i) the exchange of information between independently created programs and other programs (including this one) and (ii) the mutual use of the information which has been exchanged, should contact:

IBM Corporation

J46A/G4

555 Bailey Avenue

San Jose, CA 95141-1003

U.S.A.

Such information may be available, subject to appropriate terms and conditions, including in some cases, payment of a fee.

The licensed program described in this document and all licensed material available for it are provided by IBM under terms of the IBM Customer Agreement, IBM International Program License Agreement or any equivalent agreement between us.

Any performance data contained herein was determined in a controlled environment. Therefore, the results obtained in other operating environments may vary significantly. Some measurements may have been made on development-level systems and there is no guarantee that these measurements will be the same on generally available systems. Furthermore, some measurements may have been estimated through extrapolation. Actual results may vary. Users of this document should verify the applicable data for their specific environment.

Information concerning non-IBM products was obtained from the suppliers of those products, their published announcements or other publicly available sources. IBM has not tested those products and cannot confirm the accuracy of performance, compatibility or any other claims related to non-IBM products. Questions on the capabilities of non-IBM products should be addressed to the suppliers of those products.

All statements regarding IBM's future direction or intent are subject to change or withdrawal without notice, and represent goals and objectives only.

This information contains examples of data and reports used in daily business operations. To illustrate them as completely as possible, the examples include the names of individuals, companies, brands, and products. All of these names are fictitious and any similarity to the names and addresses used by an actual business enterprise is entirely coincidental.

COPYRIGHT LICENSE:

This information contains sample application programs in source language, which illustrate programming techniques on various operating platforms. You may copy, modify, and distribute these sample programs in any form without payment to IBM, for the purposes of developing, using, marketing or distributing application programs conforming to the application programming interface for the operating platform for which the sample programs are written. These examples have not been thoroughly tested under all conditions. IBM, therefore, cannot guarantee or imply reliability, serviceability, or function of these programs.

Portions of this product are:

  • Copyright (C) 1991-2, RSA DATA SECURITY, Inc. created 1991. All Rights Reserved.

  • Copyright (C) 1995-2005 Jean-loup Gailly and Mark Adler. All Rights Reserved.

  • Copyright (c) 1995-2009 International Business Machines Corporation and others

  • Copyright (C) 1991-2008 Unicode, Inc. All rights reserved.

  • Copyright (c) 1998-2003 The OpenSSL Project. All rights reserved.

  • Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)

  • Copyright (C) 1994-2010 EMC Corporation. All rights reserved.

  • Copyright (C) Snowbound Software Corporation 1993-2006, All rights reserved.

  • Copyright (C) 2002-2010 Rogue Wave Software, Inc. All Rights Reserved.

  • Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc. All Rights Reserved.

  • Copyright (C) Oracle® Outside In Viewer Technology, Copyright © 1992, 2007, Oracle. All Rights Reserved.

Trademarks

IBM, the IBM logo, and ibm.com are trademarks or registered trademarks of International Business Machines Corporation in the United States, other countries, or both. If these and other IBM trademarked terms are marked on their first occurrence in this information with a trademark symbol (® or ™), these symbols indicate U.S. registered or common law trademarks owned by IBM at the time this information was published. Such trademarks may also be registered or common law trademarks in other countries. A current list of IBM trademarks is available on the Web at "Copyright and trademark information" at www.ibm.com/legal/copytrade.shtml.

Adobe, the Adobe logo, PostScript, and the PostScript logo are either registered trademarks or trademarks of Adobe Systems Incorporated in the United States, and/or other countries.

Intel, Intel logo, Intel Inside, Intel Inside logo, Intel Centrino, Intel Centrino logo, Celeron, Intel Xeon, Intel SpeedStep, Itanium, and Pentium are trademarks or registered trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

Java and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both.

Linux is a trademark of Linus Torvalds in the United States, other countries, or both.

Microsoft, Windows, Windows NT, and the Windows logo are trademarks of Microsoft Corporation in the United States, other countries, or both.

UNIX is a registered trademark of The Open Group in the United States and other countries.

Other company, product, and service names may be trademarks or service marks of others.


Terms of use

Permissions for the use of these publications is granted subject to the following terms and conditions.

Personal Use: You may reproduce these publications for your personal, noncommercial use provided that all proprietary notices are preserved. You may not distribute, display or make derivative work of these publications, or any portion thereof, without the express consent of IBM.

Commercial Use: You may reproduce, distribute and display these publications solely within your enterprise provided that all proprietary notices are preserved. You may not make derivative works of these publications, or reproduce, distribute or display these publications or any portion thereof outside your enterprise, without the express consent of IBM. Except as expressly granted in this permission, no other permissions, licenses or rights are granted, either express or implied, to the publications or any information, data, software or other intellectual property contained therein. IBM reserves the right to withdraw the permissions granted herein whenever, in its discretion, the use of the publications is detrimental to its interest or, as determined by IBM, the above instructions are not being properly followed. You may not download, export or re-export this information except in full compliance with all applicable laws and regulations, including all United States export laws and regulations.

IBM MAKES NO GUARANTEE ABOUT THE CONTENT OF THESE PUBLICATIONS. THE PUBLICATIONS ARE PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


ibm.com: About IBM-Privacy-Contact

IBM Web site

About IBM

Privacy

Contact


 Active request timeout

Preference | Active request timeout
Description | Sets the maximum number of seconds to wait for the session manager to establish a connection. Session manager response may be blocked by other concurrent requests within and across processes. The amount of time is approximate and varies based on the system load.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web server Web client CS libraries
Possible values | From 10 to 300. The default is 60 seconds.
Takes effect | After rebooting the Web server.
API | No
Exportable | Yes


 Active requests per guest

Preference | Active requests per guest
Description | Sets the maximum number of simultaneous library requests allowed the guest user. If exceeded, the user receives a "This user has too many open sessions…" error message.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web server Web client CS libraries
Possible values | From 8 to 200. The default is 40 active user requests.
Takes effect | After rebooting the Web server.
API | No
Exportable | Yes


 Active requests per user

Preference | Active requests per user
Description | Sets the maximum number of simultaneous library requests allowed per user credential (user name and password). If exceeded, the user receives a "This user has too many open sessions…" error message.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web client CS libraries
Possible values | From 8 to 40. The default is 20 active user requests.
Takes effect | IDM Desktop: after rebooting the workstation. Web client: after rebooting the Web server.
API | No
Exportable | Yes


API

Applies to custom applications under IDM Desktop. Some preferences can be overridden by a call from the Application Program Interface and some cannot.


Applies to

One or more products and library types that the preference applies to:


Automatic page prefetching

Occurs when the next page of a document is automatically prefetched for a user. When automatic page prefetching is enabled, the system prefetches the next page in the sequence that the user is viewing. When the user looks at page x+1, the system prefetches page x+2. When the user goes back to page x, the system prefetches page x-1.
Automatic page prefetching requires no programming. It is not available for CS libraries or IBM FileNet IDM Web Services.


 CS Web document action

Preference | CS Web document action
Description | Defines what happens when a Web client user double-clicks on an CS document.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Default action
Applies to | Web client CS libraries
Possible values | Open (default) IDM View
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Default Web mode

Preference | Default Web mode
Description | Defines the page, Browse or Search, that web clients see after logging on.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <IS library name>
Applies to | Web server Web client IS libraries CS libraries
Possible values | Browse (default) Search
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


 Default Web mode

Preference | Default Web mode
Description | Selects the page, Browse or Search, that web clients see after logging on.
How to set | IDM Configure [image] Additional Preferences [image] libraries [image] <CS library name>
Applies to | Web server Web client CS libraries IS libraries
Possible values | Browse (default) Search
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Description

A brief description of the preference.


Distinguished name

 Distinguished/User Principal name

Preference | Distinguished/User Principal name
Description | The distinguished name (DN) for LDAP logon via Sun Java System Directory Server and Novell eDirectory; the user principal name (UPN) for LDAP logon via Microsoft Active Directory.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] LDAP Settings
Applies to | Web client IS libraries CS libraries
Possible values | An LDAP distinguished name or user principal name No default.
Takes effect | Immediately
API | No
Exportable | Yes
Example of a DN: dc=eng, dc=ibm, dc=com
Example of UPN: eng.ibm.com


 Documentation server URL

Preference | Documentation server URL
Description | The URL of the Process Help site
How to set | IDM Configure [image] Additional Preferences [image] Documentation [image] Documentation Server
Applies to | Web server with Process 5.1 or later IS libraries CS libraries
Possible values | URL
Takes effect | Immediately
API | No
Exportable | Yes
You can set this preference when installing the Process and Java Applets Connectivity.


Enable LDAP for the whole website

 Enable LDAP for the whole Web site

Preference | Enable LDAP for the whole web site
Description | Enables LDAP logon for all libraries configured for this web site.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] LDAP Settings
Applies to | Web client IS libraries CS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | No
Exportable | Yes
Setting this preference to Yes activates the other LDAP preferences.

See also
Set up LDAP logon


Enable Path-based URL retrieval

Preference | Enable Path-based URL retrieval
Description | Makes it possible for users to retrieve CS documents via path-based URLs. For complete information, see the topic "Using a path-based URL to open a document" under Administration in the IDM Web Services Administrator's Help.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Web Services CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | Yes
Exportable | Yes

CAUTION

A path-based URL cannot include special characters.


Exportable

Whether or not the preference can be exported to a preference file and imported to another computer.


IBM FileNet Content Services (CS) Library

Server software and utilities for document management and version control. Formerly known as IDM Document Services and Mezzanine.


IBM FileNet Image Services (IS) Library

Server software and utilities, for imaging, document storage and retrieval. Formerly known as FileNet IMS.


 Guest user name

Preference | Guest user name
Description | The name of the guest user. The guest user is a special user account for use by visitors. Increasing the maximum will allow more visitors to use the guest user account simultaneously. IDM Configure does not validate that the guest user account is a valid CS user account.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web server Web client CS libraries
Possible values | All valid library users. No default.
Takes effect | After rebooting the web server.
API | No
Exportable | Yes


How to set

How to navigate to the preference:
  1. Open IDM Configure (from the Windows Start menu, select Programs, IBM FileNet IDM, then Configure).
  2. Click Additional Preferences.
  3. Navigate to the preference that you want to change.
To add libraries, also considered preferences, see the topics under the Configuration book in this help system.


 Inactive session timeout

Preference | Inactive session timeout
Description | Sets the number of minutes an inactive session waits before logging off. This is transparent to the user because a subsequent request will re-establish a connection. The amount of time is approximate, and varies based on the system load.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web server Web client CS libraries
Possible values | From 8 to 40. The default is 20 minutes.
Takes effect | After rebooting the Web server.
API | No
Exportable | Yes
The Inactive session timeout can be shorter or longer than the ASP timeout.
The Inactive session timeout silently logs off an inactive user. If the user resumes activity before the ASP timeout, the user can continue without logging in again. If the user does not resume activity before the ASP time, the user must log in again.


 Inactive user timeout

Preference | Inactive user timeout
Description | Sets the number of hours an inactive user remains logged on. If the user makes a request after the timeout, they will be required to log on. User logon timeout does not start until all the user’s sessions have timed out. The amount of time is approximate, and varies based on the system load.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web server Web client CS libraries
Possible values | From 1 to 24. The default is 6 hours.
Takes effect | After rebooting the Web server.
API | No
Exportable | Yes


 IS Web document action

Preference | IS Web document action
Description | Defines what happens when a Web client user double-clicks on an IS document icon.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Default action
Applies to | Web client IS libraries
Possible values | IDM View (default) Open
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Libraries
  • IS Libraries. If no IS libraries are configured, preferences that apply to IS libraries will not display in IDM Configure.
  • CS Libraries. If no CS libraries are configured, preferences that apply to CS libraries will not display.


Library

An IBM FileNet system from which you look up and retrieve documents.


Network Clearinghouse

The Network Clearinghouse (NCH) database locates distributed resources in the IBM FileNet system when requested by a client (user or application program).


 Port number

Preference | Port number
Description | The port number for the LDAP server.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] LDAP Settings
Applies to | Web client IS libraries CS libraries
Possible values | Connection port number for the LDAP server. The default is 389.
Takes effect | Immediately
API | No
Exportable | Yes


Possible values

A list of all possible values plus the default for this preference.

Note that some preferences are listed for information purposes only and cannot be changed, such as some listed under Libraries [image] <library name>. In this case, you configure them in IDM Configure using the Add and Edit buttons.


Preference

The name of the preference as it appears in IDM Configure.


Prefetching

A method of caching images for display before a user asks for them. This feature reduces display times and sometimes allows the user to continue working even if the server shuts down.


Products
  • IDM Desktop: the preference is set on the workstation for the currently logged-on user.
  • Web server (IBM FileNet IDM Web Services): the preference affects the appearance or behavior of an IDM Desktop application running on the Web server.
  • Web client: the preference is set on the Web server and affect the appearance or behavior of the Web client software.


Quiet upgrade

Silent upgrade

You can upgrade IDM Desktop in silent mode from the command line and using Microsoft's SMS .


Requested prefetching

You implement requested prefetching with custom applications that make automation calls to the LocalCache object. Requested prefetching is also implemented in Web Services. Requested prefetching is not supported with IDM Desktop applications.
When more than one custom IDM application is accessing an IS server, requested prefetching prioritizes the prefetches for these processes based on their past activity. Requested prefetching prefetches the next page in the sequence that the user is viewing. Over time, the system prefetches all pages of all requested documents.


 Server name

Preference | Server name
Description | The name of the LDAP server.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] LDAP Settings
Applies to | Web client IS libraries CS libraries
Possible values | Any LDAP server hostname. No default.
Takes effect | Immediately
API | No
Exportable | Yes


 Server type

Preference | Server type
Description | The LDAP server type is used to form the distinguish name.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] LDAP Settings
Applies to | Web client IS libraries CS libraries
Possible values | Sun Java System Directory Server Novell eDirectory Microsoft Active Directory
Takes effect | Immediately
API | No
Exportable | Yes

CS 5.5 libraries, and IS libraries support LDAP authentication via all supported LDAP providers.


Set up LDAP logon

To enable LDAP logon for Web clients
  1. Verify that the Web site has the IIS authentication method set to anonymous access. If it is not set, restore anonymous access.
  2. Set up the library:

a Using ldap-exp, export LDAP user account information from an LDAP server into an XML file.

b Import the user group and group membership information from the XML file to a CS or IS server.

See the library administrator’s documentation for more information on importing user accounts into IBM FileNet libraries.

  3. Start IDM Configure.
  4. Click Additional Preferences.
  5. In the IDM Preferences dialog box, expand LDAP Settings:

a Set Enable LDAP for the whole Web site to Yes.

b Specify the LDAP Server name, for example "ldapserver1". (Note that the LDAP server name does not need to be fully qualified. Users should be able to successfully ping the LDAP server from the client.)

c For Sun Java System Directory Server or Novell eDirectory, specify the LDAP Distinguished name suffix, for example, "cn=users, dc-ldap, dc=eng".

For Microsoft Active Directory, specify the User Principal Name (UPN) suffix, for example ibm.com.

d Specify the Server Port Number, for example "389".

e Specify the Server Type, for example, " Sun Java System Directory Server," "MS Active Directory," or "Novell eDirectory." No other LDAP server types are supported at this time.


Takes effect

When the preference takes effect:
  • Immediately (next time the related application is started, for example).
  • Requires rebooting the computer first.
  • Requires restarting Windows first.


Upgrade

Whether the preference's changed setting will remain changed or return to it's default value when the software is upgraded.